<?php
  date_default_timezone_set('Asia/Kolkata');


class getFunctionsParents{

    private $conn; 
   
    function __construct() {
        
    
         require_once 'DB_Connect.php';
         require_once 'getFunctions.php';
         require_once 'updateFunctions.php';
         
         //$get=new getFunctions();
        
               // connecting to database
        $db = new Db_Connect();
        $this->conn = $db->connect();
        mysqli_set_charset($this->conn,'utf8'); 
        

       
    }


public function getStudentLogin($user_id, $password)
{

 	$get=new getFunctions();
    $common=new Common();
	
	 $server_name=$_SERVER['SERVER_NAME'];
	
     $sql="SELECT a.`student_enrollment_no`,a.`school_code`,b.`school_name`,a.`password`,a.`stu_name` ,a.`gender`,a.`birthday`,a.`bloodgroup`,a.`religion`,a.`nationality`,a.`adharcard_no`,a.`community`,a.`current_address`,a.`student_img_path`,a.`father_name`,a.`mother_name`,a.`email_id`,a.`status` FROM `tm_student_admission` a LEFT JOIN `tm_school_master` b ON a.`school_code`=b.`school_code` WHERE (a.`student_enrollment_no`='$user_id' OR a.`adharcard_no`='$user_id') AND a.`password`='$password' AND a.`status`!='InActive' AND a.`status`!='Delisted'";
     
    
     $result=mysqli_query($this->conn,$sql)or die ('Error in getting  login detail: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {

                        $row['login_type']="Student";

                 		$student_img_path=$row['student_img_path'];
				        $img='http://'.$server_name."/".$student_img_path;
				        $row['student_img_path']=$img;

                        $school_code=$row['school_code'];
                        $enrollment_no=$row['student_enrollment_no'];
                        $session_id=$common->getStudentLastSession($enrollment_no,$school_code);
                        //echo $session_id;              		
                 		$class=$get->getClassOfStudent($enrollment_no,$session_id,$school_code);
                        $row['class']=$class;
                        $data[] = $row;
                 }

        if($data)
        {
        
        	return $data;
        }
        else{

        	$sql="SELECT `student_enrollment_no` FROM `tm_student_contact` WHERE `contact_number`='$user_id'";
    
     		$result2=mysqli_query($this->conn,$sql)or die ('Error in getting  login detail from contact: '.mysqli_error($this->conn));

                 while ($row = $result2->fetch_assoc()) {

                       $student_enrollment_no=$row['student_enrollment_no'];

                       $sql="SELECT `student_enrollment_no`,`school_code`,`password`,`stu_name` ,`gender`,`birthday`,`bloodgroup`,`religion`,`nationality`,`adharcard_no`,`community`,`current_address`,`student_img_path`,`father_name`,`mother_name`,`email_id`,`status` FROM `tm_student_admission` WHERE (`student_enrollment_no`='$student_enrollment_no') AND `password`='$password' AND `status`!='InActive' AND `status`!='Delisted'";
     					//echo $sql;
					    
					     $result=mysqli_query($this->conn,$sql)or die ('Error in getting  login detail: '.mysqli_error($this->conn));
					                 
					                 while ($row = $result->fetch_assoc()) {
                                        $row['login_type']="Student";
					                 	$student_img_path=$row['student_img_path'];
				                        $img='http://'.$server_name."/".$student_img_path;
				                        $row['student_img_path']=$img;

                                        $school_code=$row['school_code'];
                                        $enrollment_no=$row['student_enrollment_no'];
                                        $session_id=$common->getStudentLastSession($enrollment_no,$school_code);

					                 	
					                 	$class=$get->getClassOfStudent($enrollment_no,$session_id,$school_code);
                        				$row['class']=$class;
					                        $data[] = $row;
					                 }
                 }
               
         		return $data;   
  		}
    }

public function getStudentDashBoard($enrollment_no,$class_id,$section_id,$session_id,$school_code,$system_code,$CurrentVersionCode)
{
    $is_in_app_call='true';
    $panel="Parents";

	$get=new getFunctions();
    $common=new Common();
    $session=$get->getCurrentSessionName($school_code);
    $dashboard['currentSession']=$session;

    $academic_session=$this->getStudentAllAcademicSession($enrollment_no,$school_code);
    $dashboard['academic_session']=$academic_session;
   
    if(isset($enrollment_no))
    {
    		$notice=$this->getNoticeBoardData($enrollment_no,$class_id,$section_id,$session_id,$school_code);
    		$dashboard['notice_board']=$notice;
    }
    $dashboard['modules']=$this->getGrantedModules();

    $SchoolDetails=$get->getSchoolDetails($school_code);
    $dashboard['SchoolDetails']=$SchoolDetails;

    
    $MySiblings=$this->getMySiblings($enrollment_no,$school_code);
    $dashboard['MySiblings']=$MySiblings;


    $AdsControl=$get->getAdsControl($school_code,$panel);
    $dashboard['AdsControl']=$AdsControl;

    $Announcement=$get->getAnnouncement($school_code,$panel);
    $dashboard['Announcement']=$Announcement;

    $app_update=$get->getCurrentAppVersion($CurrentVersionCode,$is_in_app_call,$panel);
    $dashboard['app_update']=$app_update;



    return $dashboard;

}
public function getStudentAllAcademicSession($student_id,$school_code)
{
        $get=new getFunctions();

         $sql="SELECT a.`session_id`,a.`class_id`,a.`section_id`,b.`session_name`,b.`start_date`,b.`end_date`,b.`status` FROM `tm_student_class` a LEFT JOIN (SELECT * FROM `tm_session` WHERE `school_code`='$school_code') b ON a.`session_id`=b.`session_id`  WHERE a.`student_enrollment_no`='$student_id' AND a.`school_code`='$school_code' ORDER BY a.`id` DESC";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  last session : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $session_id=$row['session_id'];
                        $class=$get->getClassOfStudent($student_id,$session_id,$school_code);
                        $row['class']=$class;

                        $data[] = $row;
                 }
        return $data;

}

public function getStudentHomeWork($enrollment_no,$class_id,$section_id,$school_code)
{
    $get=new getFunctions();
    $session=$get->getCurrentSessionName($school_code);
    $dashboard['current_session']=$session;
    
    $dashboard['homework_status']=$this->getStudentClassHomeWorkStatus($class_id,$section_id,$school_code);
    return $dashboard;

}

public function getNoticeBoardData($enrollment_no,$class_id,$section_id,$session_id,$school_code)
{

    $class_section=$class_id."#".$section_id;
    
     $sql="SELECT `notice_id`,`staff_id`,`notice`,`recipient_id`,count(`notice_id`)as recipient_count,`ordered_by`,DATE(`date_added`) AS notice_date FROM `tm_notice_board` WHERE (`recipient_id`='GLOBAL' OR `recipient_id`='ALL_STUDENT' OR `recipient_id`='ALL_CLASS' OR `recipient_id`='$enrollment_no' OR `recipient_id`='$class_section') AND `session_id`='$session_id' AND `status`='Active' AND `school_code`='$school_code' GROUP BY `notice_id` ORDER BY `date_added` DESC ";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  notice: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {

                $notice_date=$row['notice_date'];
                $notice_date2=date("d-F-Y",strtotime($notice_date));
                $row['notice_date2']=$notice_date2;
            
                $data[] = $row;
         }

     return $data;  
		
}

public function getStudentNotification($enrollment_no,$class_id,$section_id,$limit,$offset,$school_code)
{

    $class_section=$class_id."#".$section_id;
    $get=new getFunctions();
    $session_id=$get->getCurrentSession($school_code);
     $sql="SELECT `notification_id`,`recipient_id`,`notification_title`,`notification`,`department`,`date_added` FROM `tm_notification_master` WHERE (`recipient_id`='GLOBAL' OR `recipient_id`='ALL_STUDENT' OR `recipient_id`='ALL_CLASS' OR `recipient_id`='$enrollment_no' OR `recipient_id`='$class_section') AND `session_id`='$session_id' AND `status`='Active' AND `school_code`='$school_code'  ORDER BY `date_added` DESC LIMIT $offset,$limit ";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  notification: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
            
                $data[] = $row;
         }

     return $data;    
}


public function getStudentClassHomeWorkStatus($class_id,$section_id,$school_code)
{
   
    $get=new getFunctions();
    $session_id=$get->getCurrentSession($school_code);    
                                    
    $days='1';


    $cur_date=date('Y/m/d');
    $homework=$get->getClassHomework_ForDays($class_id,$section_id,$session_id,$current_date,$days,$school_code);
    return $homework;

}


public function getParticularStudentAttendence_for_month($enrollment_no,$class_id,$section_id,$month,$year,$school_code)
{
    $get=new getFunctions();
        
    //$days=cal_days_in_month(CAL_GREGORIAN,$month, $year);
    
        if(date('m')==$month)
        {
            $days=date('d') ;   
        }
        else{
           $days="31"; 
        }
    $today = date('Y-m-d');
    //echo $today;


    for ($i=1; $i <=$days ; $i++) { 
        
        $d=strtotime("$year-$month-$i");
        $date= date('Y-m-d',$d);
        

        unset($data);
        unset($result);
       
        $session_id=$get->getSessionByDate($date,$school_code);
        
         $sql="SELECT `attendence`,COUNT(*) AS total FROM `tm_student_attendence` WHERE `student_enrollment_no`='$enrollment_no' AND  `class_id`='$class_id' AND `section_id`='$section_id'  AND `attendence_date`='$date'  AND `status`='Active' AND `school_code`='$school_code' GROUP BY `attendence`";
              
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  attendence : '.mysqli_error($this->conn));

        $data['attendence_date']=$date;    
        $num_rows = mysqli_num_rows($result);
        
        if ($num_rows!==0) 
         {

                $data['status']="Taken";
                while ($row = $result->fetch_assoc()) {
                    
                        $data['attendence']=$row['attendence'];
                }
         }
         else{
            $isSunday=$get->isSunday($date);
            if($isSunday)
            {
                $data['status']="Sunday";
            }
            else if($get->isHoliday($date,$school_code))
            {
                   $data['status']="Holiday";   
                   $holidays=$get->getHolidayDetails($date,$school_code);
                   $data['holidays']=$holidays;      
            }
            else if($get->isStudentOnLeave($date,$enrollment_no,$school_code) && ($date>$today))
            {
                   $data['status']="OnLeave";   
                    
            }           
            else{
               
                $data['status']="Not Taken";
                
            }
            
         }
                
        $arr[]= $data;       
    }
    
 return $arr;


}


public function getParticularStudentAttendence_for_prev_days($enrollment_no,$class_id,$section_id,$days,$school_code)
{
    unset($arr);
    $get=new getFunctions();
    $current_date=date('Y/m/d');
        for ($i=0; $i <$days ; $i++) { 
        $date= date('Y-m-d', strtotime($current_date .-$i.' day'));
       // echo $prev_date;
        
        

        unset($data);
        unset($result);
       
        $session_id=$get->getSessionByDate($date,$school_code);
        
         $sql="SELECT `attendence`,COUNT(*) AS total FROM `tm_student_attendence` WHERE `student_enrollment_no`='$enrollment_no' AND  `class_id`='$class_id' AND `section_id`='$section_id'  AND `attendence_date`='$date'  AND `school_code`='$school_code'  AND `status`='Active' GROUP BY `attendence`";

         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  attendence : '.mysqli_error($this->conn));

        $data['attendence_date']=$date;    
        $num_rows = mysqli_num_rows($result);
        
        if ($num_rows!==0) 
         {

                $data['status']="Taken";
                while ($row = $result->fetch_assoc()) {
                    
                        $data['attendence']=$row['attendence'];
                }
         }
         else{
            $isSunday=$get->isSunday($date);
            if($isSunday)
            {
                $data['status']="Sunday";
            }
            else if($get->isHoliday($date,$school_code))
            {
                   $data['status']="Holiday";         
            }
            else if($get->isStudentOnLeave($date,$enrollment_no,$school_code))
            {
                   $data['status']="Leave";         
            }
            else{
               
                $data['status']="Not Taken";
                
            }
            
         }
                
        $arr[]= $data;       
    }
    
 return $arr;


}
public function getMyLeave($enrollment_no,$session_id)
{


    $sql="SELECT a.`application_id`,a.`applicant_id`,a.`leave_start_date`,a.`leave_end_date`,a.`authority`,a.`subject`,a.`application_content`,a.`session_id`,a.`date_added`,a.`status`,b.`status_name` FROM `tm_leave_master` a LEFT JOIN `tm_leave_status_master` b ON a.`status`=b.`status_id` WHERE a.`applicant_id`='$enrollment_no' AND a.`session_id`='$session_id' ORDER BY a.`id` DESC";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  leave: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
            
                $data[] = $row;
         }

     return $data;    
}

public function getHolidays($session_id,$school_code)
{
    $update=new updateFunctions();
    $update->UpdateHolidayStatus($session_id,$school_code);

    $sql="SELECT `holiday_id`,`start_holiday_date`,`end_holiday_date`,`holiday_Occasion`,`holiday_remark`,`holiday_type`,`session_id`,`date_added`,`status` FROM `tm_holiday_list` WHERE `status`!='InActive' AND `session_id`='$session_id' AND `school_code`='$school_code' ORDER BY `id` DESC";

    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  holidays: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
            
                $data[] = $row;
         }

     return $data;   
}

public function getStudentComments($student_id,$session_id,$limit,$offset,$school_code)
{
    $get=new getFunctions();

     $sql="SELECT `session_id`,`comment_id`,`sender_id`,`comment`,`comment_for`,`comment_type`,`date_added`,`status` FROM `tm_comments` WHERE `sender_id`='$student_id' AND `parent_comment_id`='0' AND `session_id`='$session_id' AND `status`='Active' AND `school_code`='$school_code' ORDER BY `date_added` DESC LIMIT $offset,$limit ";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting all comments: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {

                $comment_id=$row['comment_id'];
                $reply=$get->getCommentReply($comment_id,$school_code);
                $row['reply']=$reply;
            
                $data[] = $row;
         }

     return $data;    
}

public function getGrantedModules()
{
     $server_name=$_SERVER['SERVER_NAME'];

     $sql="SELECT `module_id`,`parent_id`,`module_name`,`icons_dir`,`module_icon`,`granted_parents`,`parents_module_activity`,`parents_package_name`,`module_type`,`grade_id`,`software_section`,`module_index`,`status`,`granted_status` FROM `tm_modules_parents` WHERE `granted_parents`='Yes' AND `status`='Active' AND `granted_status`='Granted'";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  all modules: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {

                $icons_dir=$row['icons_dir'];
                $module_icon=$row['module_icon'];

                $img='http://'.$server_name."/".$icons_dir.$module_icon;
                $row['icon_img']=trim(preg_replace('/\s\s+/', '', $img));
            
                $data[] = $row;
         }

     return $data;    
}

public function getMySiblings($enrollment_no,$school_code)
{

    $get=new getFunctions();
    $server_name=$_SERVER['SERVER_NAME'];
    $session_id=$get->getCurrentSession($school_code);

    $sql="SELECT `student_enrollment_no`,`stu_name` ,`gender`,`student_img_path`,`father_name`FROM `tm_student_admission` WHERE `student_enrollment_no`='$enrollment_no' AND `status`!='InActive' AND `status`!='Delisted'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student : '.mysqli_error($this->conn));
         if($result)
         {
                 while ($row = $result->fetch_assoc()) {
                        $student_img_path=$row['student_img_path'];
                        $img='http://'.$server_name."/".$student_img_path;
                        $row['student_img_path']=$img;

                        $enrollment_no=$row['student_enrollment_no'];
                         $class=$get->getClassOfStudent($enrollment_no,$session_id,$school_code);
                         $row['class']=$class;

                         $siblings=$this->getMySiblingsDetails($enrollment_no,$school_code);
                         $row['siblings']=$siblings;

                        $data[] = $row;
                 }             
         }
         else{
            return $result;

         }

         return $data;
    
}
public function getMySiblingsDetails($enrollment_no,$school_code)
{
    $get=new getFunctions();
    $session_id=$get->getCurrentSession($school_code);
    $sql="SELECT `sib_enrollment_no` FROM `tm_student_siblings` WHERE INSTR(`sib_enrollment_no` ,'$enrollment_no') AND `status`='Active' AND `school_code`='$school_code'";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting siblings: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
                $sib_enrollment_no=$row['sib_enrollment_no']; 
                $arr= explode(',', $sib_enrollment_no);
            
                for ($i=0; $i <sizeof($arr) ; $i++) { 
                    $enrollment_no=$arr[$i];
                    $sib=$this->findSibStudent($enrollment_no,$session_id,$school_code);
                    $sibdata[]=$sib[0];
                }
                $row=$sibdata;         
             $data[]= $row;
         }

    return $data[0];

}
public function findSibStudent($enrollment_no,$session_id,$school_code)
{
     $get=new getFunctions();
    unset($data);
    $server_name=$_SERVER['SERVER_NAME'];
     

        $sql="SELECT `student_enrollment_no`,`password`,`stu_name` ,`gender`,`student_img_path`,`father_name`FROM `tm_student_admission` WHERE `student_enrollment_no`='$enrollment_no' AND `status`!='InActive' AND `status`!='Delisted'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student : '.mysqli_error($this->conn));
         if($result)
         {
                 while ($row = $result->fetch_assoc()) {
                        $student_img_path=$row['student_img_path'];
                        $img='http://'.$server_name."/".$student_img_path;
                        $row['student_img_path']=$img;

                        $enrollment_no=$row['student_enrollment_no'];
                         $class=$get->getClassOfStudent($enrollment_no,$session_id,$school_code);
                         $row['class']=$class;
                        $data[] = $row;
                 }             
         }
         else{
            return $result;

         }
     return $data;     
}

public function getStudentExamList($session_id,$class_id,$section_id,$school_code)
{
    $FLAG_COUNT=true;
    $get=new getFunctions();
    $sql="SELECT a.`exam_id`,a.`class_id`,a.`section_id`,a.`subject_ids`,b.`exam_name`,b.`session_id`,b.`start_date`,b.`status`,c.`status_name` FROM `tm_exam_participating_class`a LEFT JOIN (SELECT * FROM `tm_exam_master` WHERE `school_code`='$school_code' AND `session_id`='$session_id' AND `status`!='InActive') b ON a.`exam_id`=b.`exam_id` LEFT JOIN `tm_exam_status` c ON b.`status`=c.`status_code` WHERE a.`class_id`='$class_id' AND a.`section_id`='$section_id' AND a.`school_code`='$school_code' AND b.`session_id`='$session_id' ORDER BY a.`id` DESC";   
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student exam list: '.mysqli_error($this->conn));
         if($result)
         {
                 while ($row = $result->fetch_assoc()) {
                    $exam_id=$row['exam_id'];
                    $session_id=$row['session_id'];
                    $participatingclass=$get->getExamParticipatingClass($session_id,$exam_id,$FLAG_COUNT,$school_code);
                    $row['participating_class']=$participatingclass;
                    
                    $data[] = $row; 
                 }             
         }
         return $data;
            
}            

} 

?>

