<?php

    header( 'Content-Type: text/html; charset=utf-8' ); 
    require_once (dirname(__FILE__).'/includes/Cors.php');
    $cors=new Cors();
    $cors->EnableCors();

    // Enabling error reporting
        error_reporting(-1);
        ini_set('display_errors', 'On');

    require_once (dirname(__FILE__).'/includes/setFunctions.php');
    require_once (dirname(__FILE__).'/includes/Automation.php');
    require_once (dirname(__FILE__).'/includes/Common.php');
    $dbset=new setFunctions();
    $auto=new Automation();
    $common=new Common();
      
    if(isset($_POST['notice']) && isset($_POST['recipient']) && isset($_POST['staff_id']) && isset($_POST['ordered_by']) && isset($_POST['session_id']) && isset($_POST['school_code']))
   {

        $notice=$_POST['notice'];
        $recipient=$_POST['recipient'];
        $staff_id=$_POST['staff_id'];
        $ordered_by=$_POST['ordered_by'];
        $session_id=$_POST['session_id'];
        $school_code=$_POST['school_code'];

       // echo $school_code;

        $ordered_by=urldecode($ordered_by);
        $notice=urldecode($notice);
    
        $response = array("api_status" => "ERROR");
        $data=$dbset->addNotice($recipient,$notice,$staff_id,$ordered_by,$session_id,$school_code);
        if($data)
        {
            
            $response["api_status"] = "OK";
            $response["data"] = $data;
            echo json_encode($response);

            if($data)
	        {
	           $auto->NotifyNoticeAdd($recipient,$staff_id,$session_id,$school_code);

               //notify to admin
                $title="New Notice";
                $message="New Notice is added successfully by staff ".$common->getStaffName($staff_id);
                //echo $message;
                $sender_id="System";
                $notification_type="Automation";
                $click_action="cms.NoticeActivity";
               
                $auto->sendNotificationToAdmin($title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code);
               
	        }

        }
        else {
        $response["api_status"] = "ERROR";
        $response["api_remark"] = "Problem in adding notice!!!";
        echo json_encode($response);
        }
   }
   else{
        $response["api_status"] = "ERROR";
        $response["api_remark"] = "Required parameter is missing!!!";
        echo json_encode($response);
   }

?>