<?php
class Automation{
	function __construct() {
        
        require_once ('firebase.php');
	    	require_once ('push.php');
	    	require_once ('getFunctions.php');
	    	require_once ('setFunctions.php');
        require_once ('getFunctionsCRM.php');
        require_once ('Common.php');
       
        
    }

   

    public function NotifyNoticeAdd($strRecipient,$staff_id,$session_id,$school_code)
    {
        $firebase = new Firebase();
        $push = new Push();
        $common=new Common();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
        

            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $title ="New Notice";
        $message ='New Notice is added ';
        $department="Management";
        
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="parents.ParentsNoticeActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
        $notification_type="Manual";
        $sender_id=$staff_id;
        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
        $notification_bucket_caption=$message;

       
    
        $data=$dbset->addNotification($session_id,$strRecipient,$message,$title,$sender_id,$department,$notification_type,$notification_bucket_id,$notification_bucket_caption,$school_code);
        if($data)
        {

            $regId =$dbget->getFirebaseTokenId($strRecipient,$session_id,$school_code);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            //echo json_encode($response);
        }
        mysqli_close($this->conn);

    }


	public function NotifyStudentLeaveStatus($applicant_id,$staff_id,$status,$start_date,$end_date,$session_id,$school_code)
	{
        
		$firebase = new Firebase();
    	$push = new Push();
        $common=new Common();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
		
		$arrRecipient = array();
		$arrRecipient[0]=$applicant_id;
		$recipient=json_encode($arrRecipient);


		    // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';

        if($status=='2')
        {
            $status_name="approved";
        }
        else if($status=='3')
        {
            $status_name="rejected";
        }
        else{
            $status_name="pending";
        }
       
 
        // notification title
        $title ="Leave Application";
        $message ='Your Application for leave from '.$start_date." to ".$end_date." is ".$status_name;
      	$department="Management";
      	
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="parents.ParentsLeaveListActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
        $notification_type="Automation";
        $sender_id="System";


        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
        $notification_bucket_caption=$message;
       
        $data=$dbset->addNotification($session_id,$recipient,$message,$title,$sender_id,$department,$notification_type,$notification_bucket_id,$notification_bucket_caption,$school_code);
        if($data)
        {

            $regId =$dbget->getFirebaseTokenId($recipient,$session_id,$school_code);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
           // echo json_encode($response);
        }
        mysqli_close($this->conn);

	}

   


    public function  NotifyStudentAttendance($staff_id,$strAttendence,$class_id,$section_id,$date,$session_id,$school_code)
    {
    
        $firebase = new Firebase();
        $push = new Push(); 
        $common=new Common();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
        
       

            // optional payload
        $fields = array();
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';

         $title ="Attendance Report";
         $department="Management";
         $className=$common->getClassName($class_id,$session_id,$school_code);
         if($section_id!="No")
         {
             $section_name=$common->getSectionName($class_id,$section_id,$session_id,$school_code);
         }

        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
         


        $arrAttendence = json_decode($strAttendence, TRUE);
        for ($i=0; $i <count($arrAttendence) ; $i++) { 


            $enroll_no=$arrAttendence[$i]['student_enrollment_no'];
            $attendence=$arrAttendence[$i]['attendence'];

            $student_name=$dbget->getStudentName($enroll_no);
            if($attendence=="P")
            {

                if($section_id!="No")
                 {
                    $message ='Attendance of Class '.$className.":".$section_name." is taken on date:"
                    .$date.". Your child ".$student_name." is present in class";
                 }
                 else{
                    $message ='Attendance of Class '.$className." is taken on date:"
                    .$date.". Your child ".$student_name." is present in class";
                 }
                 
            }
            else if($attendence=="A")
            {

                if($section_id!="No")
                 {
                    $message ='Attendance of Class '.$className.":".$section_name." is taken on date:"
                    .$date.". Your child ".$student_name." is absent in class";
                 }
                 else{
                    $message ='Attendance of Class '.$className." is taken on date:"
                    .$date.". Your child ".$student_name." is absent in class";
                 }
            }
            else if($attendence=="L")
            {
                if($section_id!="No")
                 {
                    $message ='Attendance of Class '.$className.":".$section_name." is taken on date:"
                    .$date.". Your child ".$student_name." is on leave";
                 }
                 else{
                    $message ='Attendance of Class '.$className." is taken on date:"
                    .$date.". Your child ".$student_name." is on leave";
                 }

            }

            $push->setTitle($title);
            $push->setMessage($message);
            $push->setImage('');
            $push->setIsBackground(FALSE);
            $push->setPayload($payload);
            $click_action="parents.ParentsAttendanceActivity";
            $push->setClickAction($click_action);
       
                $json = '';
                $res = '';
                $json = $push->getPush();
      

            $arrRecipient = array();
            $arrRecipient[0]=$enroll_no;
            $recipient=json_encode($arrRecipient);
         
        $notification_type="Automation";  
        $notification_bucket_caption='Attendance of Class '.$className.":".$section_name." is taken on date:".$date;


        $data=$dbset->addNotification($session_id,$recipient,$message,$title,$staff_id,$department,$notification_type,$notification_bucket_id,$notification_bucket_caption,$school_code);
        if($data)
        {

            $regId =$dbget->getFirebaseTokenId($recipient,$session_id,$school_code);

            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            //echo json_encode($response);
        }
       
           
            
    } 

    
}



    public function NotifyNewSchoolRegistration($school_code)
    {
        $firebase = new Firebase();
        $push = new Push();
        $dbget=new getFunctionsCRM();

        $school_name=$dbget->getSchoolName($school_code);
        
        
    


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $title ="New Registration";
        $message ='A new school '.$school_name." is registered ";
      
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="com.techmetrica.apps.codegenius.eduok_gold.crm.CrmMySchoolsActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       
            $regId =$dbget->getEduOKAdminFirebaseId();

            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
           // echo json_encode($response);

    }


    public function NotifyNewQueryRegistration($school_code)
    {
       
        $firebase = new Firebase();       
        $push = new Push();
        $dbget_crm=new getFunctionsCRM();
        $school_name=$dbget_crm->getSchoolName($school_code);
       
            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $title ="New Query";
        $message ='A new query is registered from school'.$school_name." school code:".$school_code;
      
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="com.techmetrica.apps.codegenius.eduok_gold.crm.CrmSchoolQueryActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       
            $regId =$dbget_crm->getEduOKAdminFirebaseId();
           // print_r($regId);

            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);

    }
    public function NotifyAdminFeeSettlementRequest($student_id,$class_id,$section_id,$session_id,$sender_id,$amount,$school_code)
    {

        /*$firebase = new Firebase();
        $push = new Push();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
        
        $arrRecipient = array();
        $arrRecipient[0]="ALL_ADMIN";
        $recipient=json_encode($arrRecipient);


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $title ="Fee Settlement Request";
        $student_name=$dbget->getStudentName($student_id);
        $message ='New Fee Settlement Request is registered from student '.$student_name;        
        $department="Management";
        
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="admin.LeaveManagementAdminActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       

        $sender_id="System";
        $notification_type="Automation";
       
        $data=$dbset->addAdminNotification($strRecipient,$message,$title,$sender_id,$notification_type,$school_code);
        if($data)
        {

            $regId =$dbget->getAdminFirebaseId($recipient);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            echo json_encode($response);
        }*/

        

    }

     public function NotifyQueryReply($sender_id,$parent_query_id,$school_code)
    {
        $firebase = new Firebase();
        $push = new Push();
        $dbget=new getFunctions();
        $dbset_crm=new setFunctionsCRM();
        $dbget_crm=new getFunctionsCRM();
        $common=new Common();
        

        $recipient_id=$common->getQueryReplyRecipientId($parent_query_id);
        
            /*$arrRecipient = array();
            $arrRecipient[0]=$recipient_id;
            $strRecipient=json_encode($arrRecipient);*/

            $arrRecipient = array();
            $arrRecipient[0]="ALL_ADMIN";
            $recipient=json_encode($arrRecipient);


                // optional payload
            $payload = array();
            $payload['team'] = 'techmetrica.com';
            $payload['city'] = 'noida';
           

            
     
            // notification title
            $title ="Query Reply";
            $staff_name=$dbget_crm->getEduOkAdminName($sender_id);
            $message ='New Query reply is added from '.$staff_name;
            
            
            $response = array("api_status" => "ERROR");      
            $push->setTitle($title);
            $push->setMessage($message);
            $push->setImage('');
            $push->setIsBackground(FALSE);
            $push->setPayload($payload);
            $click_action="eduok.QueryActivity";
            $push->setClickAction($click_action);
           
     
            $json = '';
            $res = '';
            $json = $push->getPush();
            //print_r($json);
           

        
        $sender_id=$sender_id;
        $notification_type="Manual";
       
        $data=$dbset_crm->addCrmNotification($recipient,$message,$title,$sender_id,$notification_type,$school_code);
        if($data)
        {

            $regId =$dbget->getSchoolAdminFirebaseId($recipient,$school_code);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
           // echo json_encode($response);
        }


    }

    public function NotifyQueryReplyEduOKAdmin($sender_id)
    {
       
        $firebase = new Firebase();       
        $push = new Push();
        $dbget_crm=new getFunctionsCRM();
        
       
            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
            $title ="Query Reply";
            $staff_name=$dbget_crm->getEduOkAdminName($sender_id);
            $message ='New Query reply is added from '.$staff_name;
      
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="com.techmetrica.apps.codegenius.eduok_gold.crm.CrmSchoolQueryActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       
            $regId =$dbget_crm->getEduOKAdminFirebaseId_Except($sender_id);

            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
           // echo json_encode($response);

    }
   

     public function NotifyNewFileAttachment($strRecipient,$subject_id,$session_id,$school_code)
    {
        $firebase = new Firebase();
        $push = new Push();
        $common=new Common();
        $dbget=new getFunctions();
        $dbset=new setFunctions();

        

            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        $subject_name=$common->getSubjectName($subject_id,$school_code);
        // notification title
        $title ="New Learning Material";
        $message ="New Learning Material of subject ".$subject_name." is added";
        $department="Management";
        
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="parents.ParentsMainActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
        $notification_type="Automation";
        $sender_id="System";

        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
        $notification_bucket_caption=$message;

       
    
        $data=$dbset->addNotification($session_id,$strRecipient,$message,$title,$sender_id,$department,$notification_type,$notification_bucket_id,$notification_bucket_caption,$school_code);
        if($data)
        {

            $regId =$dbget->getFirebaseTokenId($strRecipient,$session_id,$school_code);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            //echo json_encode($response);
        }
       

    }


     public function NotifyAttachmentDownloadToAdmin($attachment_id,$recipient_id,$session_id,$school_code)
    {

        $firebase = new Firebase();
        $push = new Push();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
     
        $arrRecipient = array();
        $arrRecipient[0]="ALL_ADMIN";

        $staff_id=$dbget->getStaffWhoAddedAttachment($school_code,$attachment_id);
        $arrRecipient[1]=$staff_id;       
        $recipient=json_encode($arrRecipient);

        $subject_id=$dbget->getSubjectOfAttachment($school_code,$attachment_id);
        $subject_name=$dbget->getSubjectName($subject_id,$school_code);


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';


       
 
        // notification title
        $title ="Learning Management";      
        $student_name=$dbget->getStudentName($applicant_id); 
        if($student_name !== '')
        {
            $message =$student_name.'Downloaded Learning Material Of Subject '.$subject_name;
 
        }
        else{
            $staff_name=$dbget->getStaffName($applicant_id);
            $message =$staff_name.'Downloaded Learning Material Of Subject '.$subject_name;

        }
        
        $department="Management";        
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="admin.LeaveManagementAdminActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       

        $sender_id="System";
        $notification_type="Automation";
       
        $data=$dbset->addAdminNotification($recipient,$message,$title,$sender_id,$notification_type,$session_id,$school_code);
        if($data)
        {

            $regId =$dbget->getSchoolAdminFirebaseId($recipient,$school_code);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            //echo json_encode($response);
        }

    }

     public function NotifyLogChangeToAdmin($change_text,$session_id,$school_code)
    {
        $firebase = new Firebase();
        $push = new Push();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
        
        
        $arrRecipient = array();
        $arrRecipient[0]="ALL_ADMIN";
        $recipient=json_encode($arrRecipient);


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $title ="Change";
        $message=$change_text;
       
    
        
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('https://beta.pizero.piradius.online/PiZeroEduOkDocs/images/NotificationBG/4.jpg');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="admin.LogChangeActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       

        $sender_id="System";
        $notification_type="Automation";
       
        $data=$dbset->addAdminNotification($recipient,$message,$title,$sender_id,$notification_type,$session_id,$school_code);
        if($data)
        {

            $regId =$dbget->getSchoolAdminFirebaseId($recipient,$school_code);
           // print_r($regId);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
           //echo json_encode($response);
        }

    } 


    public function NotifyLogDeleteToAdmin($delete_text,$session_id,$school_code)
    {
        
        $firebase = new Firebase();
        $push = new Push();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
    
        $arrRecipient = array();
        $arrRecipient[0]="ALL_ADMIN";
        $recipient=json_encode($arrRecipient);


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $title ="Delete Record";
        $message=$delete_text;
       
    
        
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('https://beta.pizero.piradius.online/PiZeroEduOkDocs/images/NotificationBG/4.jpg');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="admin.LogDeleteActivity";
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       

        $sender_id="System";
        $notification_type="Automation";
       
       
        $data=$dbset->addAdminNotification($recipient,$message,$title,$sender_id,$notification_type,$session_id,$school_code);
        if($data)
        {

            $regId =$dbget->getSchoolAdminFirebaseId($recipient,$school_code);
           // print_r($regId);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
           // echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            //echo json_encode($response);
        }

    }   

    //===============================================//

    public function sendNotificationToStudent($str_recipient,$title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code)
    {
        
        $firebase = new Firebase();
        $push = new Push();
        $common=new Common();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
        
        $arrRecipient = array();
        $arrRecipient[0]=$str_recipient;
        $recipient=json_encode($arrRecipient);


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
        $department="Management";       
        $response = array("api_status" => "ERROR");
      
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $push->setClickAction($click_action);
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       


        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
        $notification_bucket_caption=$message;
       
        $data=$dbset->addNotification($session_id,$recipient,$message,$title,$sender_id,$department,$notification_type,$notification_bucket_id,$notification_bucket_caption,$school_code);
        if($data)
        {

            $regId =$dbget->getFirebaseTokenId($recipient,$session_id,$school_code);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
           // echo json_encode($response);
        }
       

    }
    //********************************************************
     public function sendNotificationToAdmin($title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code)
    {
      
        $firebase = new Firebase();      
        $push = new Push();          
        $common=new Common();
        $dbget=new getFunctions();
        $dbset=new setFunctions();
        
        
        $arrRecipient = array();
        $arrRecipient[0]="ALL_ADMIN";
        $recipient=json_encode($arrRecipient);

       


            // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
       
 
        // notification title
        $push->setTitle($title);
        $push->setMessage($message);
        $push->setImage('');
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $push->setClickAction($click_action);

       
       
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
       


        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
        $notification_bucket_caption=$message;

       
       
        $data=$dbset->addAdminNotification($recipient,$message,$title,$sender_id,$notification_type,$session_id,$school_code);

        if($data)
        {

            $regId =$dbget->getSchoolAdminFirebaseId($recipient,$school_code);
            //print_r($regId);
            $res = $firebase->sendMultiple($regId, $json);
            
            $response["api_status"] = "OK";
            $response["Response"] =$res; 
            //echo json_encode($response);
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            //echo json_encode($response);
        }

    }  
	
}

?>