<?php
 date_default_timezone_set('Asia/Kolkata');
class Common{


	private $conn;
	function __construct() {

        require_once 'DB_Connect.php';
         require_once 'updateFunctions.php';
        $db = new Db_Connect();
       
        $this->conn = $db->connect();  
            
    }

    function getUniqueNumber($table,$col_id)
    {

        $sql="SELECT $col_id FROM  $table WHERE $col_id=(SELECT MAX($col_id) FROM $table)";

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting unique number :'.mysqli_error($this->conn));
    
        $row = $result->fetch_assoc();
        $data[]=$row;
        //print_r($data);
        

        $id=$data[0][$col_id];   
        if($id)
        {
                $id=$id+1;
                
        }
        else{
            $id=1;
        }
        
        return $id;

    }
    
    function getUniqueId_No_Hyphen($table,$col_id)
    {

       $sql="SELECT ExtractNumber($col_id) As $col_id FROM  $table WHERE  `id`=(SELECT MAX(`id`) FROM $table)";

       // $sql="SELECT MAX(ExtractNumber($col_id)) As $col_id FROM $table";
        //echo $sql;die;

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting unique id :'.mysqli_error($this->conn));
    
        $row = $result->fetch_assoc();
        $data[]=$row;
        //print_r($data);
        

    $id=$data[0][$col_id];   
    if($id)
    {           
            //$new_id=preg_replace('/\D/', '', $id);
            $new_id=$id+1;            
    }
    else{
        $new_id=1;
    }
    //echo $new_id;

    mysqli_close($this->conn); 
    return $new_id;

    }
    function getUniqueId_No_Hyphen2($table,$col_id,$school_code)
    {

        $sql="SELECT ExtractNumber($col_id)As $col_id FROM  $table WHERE `id`=(SELECT MAX(`id`) FROM $table WHERE `school_code`='$school_code')";

        //$sql="SELECT MAX(ExtractNumber($col_id)) As $col_id FROM $table WHERE `school_code`='$school_code'";
        //echo $sql;die;

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting unique id :'.mysqli_error($this->conn));
    
        $row = $result->fetch_assoc();
        $data[]=$row;
        //print_r($data);
        

    $id=$data[0][$col_id];   
    if($id)
    {           
            //$new_id=preg_replace('/\D/', '', $id);
            $new_id=$id+1;            
    }
    else{
        $new_id=1;
    }
    //echo $new_id;
    mysqli_close($this->conn); 
    return $new_id;

    }
    
     function getUniqueId($table)
    {

        $database=constant('DB_DATABASE');

        $sql="SELECT `AUTO_INCREMENT` FROM  INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA ='$database'  AND   TABLE_NAME   = '$table'";

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting unique id :'.mysqli_error($this->conn));
    
        $row = $result->fetch_assoc();
        $data[]=$row;
        //print_r($data);
        

    $id=$data[0]['AUTO_INCREMENT'];
    
    return $id;

    }

    function getQuestionOptionId($table,$col_id,$school_code,$question_id)
    {

       //$sql="SELECT $col_id FROM  $table WHERE $col_id=(SELECT MAX($col_id) FROM $table)";

        $sql="SELECT MAX(ExtractNumber($col_id)) As $col_id FROM $table WHERE `school_code`='$school_code' AND `question_id`='$question_id'";
        //echo $sql;die;

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting unique id :'.mysqli_error($this->conn));
    
        $row = $result->fetch_assoc();
        $data[]=$row;
        //print_r($data);
        

    $id=$data[0][$col_id];   
    if($id)
    {           
            //$new_id=preg_replace('/\D/', '', $id);
            $new_id=$id+1;            
    }
    else{
        $new_id=1;
    }
    //echo $new_id;
    return $new_id;

    }


public function getFinancialYearByDate($date)
{

    $sql="SELECT `financial_year_id` FROM `tm_crm_financial_year`  WHERE '$date' between `start_date`  AND `end_date` AND (`status`='Active' OR `status`='Current' OR `status`='Previous' OR `status`='Upcoming')";
   
     $result=mysqli_query($this->conn,$sql)or die ('Error in getting   financial year by date: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }
        return $data[0]['financial_year_id'];

}
public function getSessionByDate($date,$school_code)
{

    $sql="SELECT `session_id` FROM `tm_session`  WHERE '$date' between `start_date`  AND `end_date` AND (`status`='Active' OR `status`='Current' OR `status`='Previous' OR `status`='Upcoming') AND `school_code`='$school_code'";

     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting   session by date: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }
        return $data[0]['session_id'];

}
public function getUpcomingSession($school_code)
{

    $sql="SELECT `session_id` FROM `tm_session`  WHERE   `school_code`='$school_code' AND `status`='Upcoming'";

   // echo $sql;

     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting   upcoming session: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }
        return $data[0]['session_id'];

}

public function getClassName($class_id,$session_id,$school_code)
{
   
    $sql="SELECT `class_id`,`class_name`FROM `tm_class` WHERE `status`='Active' AND `class_id`='$class_id' AND `session_id`='$session_id'  AND `school_code`='$school_code'";
  
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting   class name '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {

                        $class_name=$row['class_name'];
                    
                 }
        return $class_name;

}

public function getSectionName($class_id,$section_id,$session_id,$school_code)
{

    $sql="SELECT `section_id`,`section_name` FROM  `tm_class_section`  WHERE   `section_id`='$section_id' AND `class_id`='$class_id' AND `session_id`='$session_id'  AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  section name: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                 	
                        $data[] = $row;
                 }
        return $data[0]['section_name'];

}
public function getStaffName($staff_id)
{

    $sql="SELECT `staff_name` FROM `tm_staff_master` WHERE `staff_id`='$staff_id'";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting staff name: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
            
                $data[] = $row;
         }

     return $data[0]['staff_name'];    
}

public function getStudentName($enrollment_no)
{
    
    $sql="SELECT `student_enrollment_no`,`stu_name` FROM `tm_student_admission` WHERE `student_enrollment_no`='$enrollment_no'";
   // echo $sql;
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student name: '.mysqli_error($this->conn));
        
                while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                }
                
        return $data[0]['stu_name'];
}
public function getSubjectName($subject_id,$school_code)
{

     $sql="SELECT `subject_name` FROM `tm_subject` WHERE `status`='Active' AND `subject_id`='$subject_id' AND `school_code`='$school_code'";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  subject name: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
            
                $data[] = $row;
         }

     return $data[0]['subject_name'];    
}
public function getSchoolName($school_code)
{

     $sql="SELECT `school_name` FROM `tm_school_master` WHERE `school_code`='$school_code'";
    $result=mysqli_query($this->conn,$sql)or die ('Error in getting  school name: '.mysqli_error($this->conn));
                                     
         while ($row = $result->fetch_assoc()) {
            
                $data[] = $row;
         }

     return $data[0]['school_name'];    
}

public function getStudentEnrollmentPrefix($school_code)
{
    
    $sql="SELECT `prefix` FROM `prefix_master` WHERE `prefix_id`='PFX0001' AND `status`='Active' AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  prefix : '.mysqli_error($this->conn));
        
                while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                }
                
        return $data[0]['prefix'];
}



public function getStaffIdPrefix($school_code)
{
    
    $sql="SELECT `prefix` FROM `prefix_master` WHERE `prefix_id`='PFX0002' AND `status`='Active' AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  prefix : '.mysqli_error($this->conn));
        
                while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                }
                
        return $data[0]['prefix'];
}
public function getStaffIdStartDigit($school_code)
{
    
    $sql="SELECT `start_digit` FROM `prefix_master` WHERE `prefix_id`='PFX0002' AND `status`='Active' AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  prefix : '.mysqli_error($this->conn));
        
                while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                }
                
        return $data[0]['start_digit'];
}

public function getCommentReplyRecipientId($parent_comment_id)
{
    
    $sql="SELECT `sender_id` FROM `tm_comments` WHERE `comment_id`='$parent_comment_id'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  Comment Reply RecipientId : '.mysqli_error($this->conn));
        
                while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                }
                
        return $data[0]['sender_id'];
}

public function getQueryReplyRecipientId($parent_query_id)
{
    
    $sql="SELECT `sender_id` FROM `tm_school_query` WHERE `query_id`='$parent_query_id'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  query Reply RecipientId : '.mysqli_error($this->conn));
        
                while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                }
                
        return $data[0]['sender_id'];
}




    public function copyTableData($from_table,$to_table)
    {

    
        $FLAG=false;


            $sql="DROP TEMPORARY TABLE IF EXISTS tmp";
            $result=mysqli_query($this->conn,$sql)or die ('Error in delete temp table :'.mysqli_error($this->conn));
             

            $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM $from_table";
                
            $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));
            if($result)   
            {
                 $sql="UPDATE tmp SET `id`=''";
                
                 $result2=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));
                  if(mysqli_affected_rows($this->conn)>0)   
                 {
                      $sql="INSERT INTO $to_table SELECT * FROM tmp";
                
                      $result3=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));
                      if($result3)
                      {
                        $FLAG=true;
                      }
                 
                
                  }

                
            }
        
        return $FLAG;

    }
    public function getStudentLastSession($student_id,$school_code)
    {

         $sql="SELECT `session_id` FROM `tm_student_class` WHERE `id`=(SELECT MAX(`id`) FROM `tm_student_class` WHERE `student_enrollment_no`='$student_id' AND `school_code`='$school_code')";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  last session : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }
        //mysqli_close($this->conn);

        return $data[0]['session_id'];

  }
 
  public function giveFilePermission()
  {
    if($_SERVER['HTTP_HOST'] == 'localhost'){
        $sql="GRANT FILE ON *.* TO 'piradius_admin'@'localhost' IDENTIFIED BY 'yhVUqoE6yFll'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in file permission : '.mysqli_error($this->conn));
            


}
else{
    
$sql="GRANT FILE ON *.* TO 'piradius_admin'@'localhost' IDENTIFIED BY 'yhVUqoE6yFll'";
     
         //$result=mysqli_query($this->conn,$sql)or die ('Error in file permission2 : '.mysqli_error($this->conn));
}
        
}
public function backupTransactionDelete($school_code,$transaction_id,$transaction_for,$delete_log_id)
{
    $update=new updateFunctions();
    $f1=$this->backupTransactionMaster($school_code,$transaction_id,$transaction_for,$delete_log_id);

    if($f1)
    {
       $f2=$this->backupTransactionDetails($school_code,$transaction_id,$transaction_for,$delete_log_id);
    }
    if($f1 && $f2)
    {
       $update->updateBackupSuccess($delete_log_id,$school_code);
       return true;
    }
    else{
      return false;
    }

   


}
public function backupTransactionMaster($school_code,$transaction_id,$transaction_for,$delete_log_id)
{

      $FLAG=false;

       $sql="DROP TEMPORARY TABLE IF EXISTS tmp";
        $result=mysqli_query($this->conn,$sql)or die ('Error in delete temp table :'.mysqli_error($this->conn));
       

        $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM `tm_transaction_master` WHERE `school_code`='$school_code' AND `transaction_id`='$transaction_id'";
          
        $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));

         $sql="ALTER TABLE tmp ADD COLUMN `delete_log_id` VARCHAR(30) NOT NULL AFTER `id`";
         $result2=mysqli_query($this->conn,$sql)or die ('Error in altering temp table :'.mysqli_error($this->conn));

      if($result2)   
      {
           $sql="UPDATE tmp SET `delete_log_id`='$delete_log_id' WHERE `school_code`='$school_code'";            
           $result3=mysqli_query($this->conn,$sql)or die ('Error in updating temp table :'.mysqli_error($this->conn));             

           if(mysqli_affected_rows($this->conn)>0)   
           {
                $sql="INSERT INTO `tm_backup_transaction_master` SELECT * FROM tmp WHERE `school_code`='$school_code'";
          
                $result3=mysqli_query($this->conn,$sql)or die ('Error in inserting temp table :'.mysqli_error($this->conn));
                if($result3)
                {
                  $FLAG=true;
                }
           
          
            }

          
      }
   return $FLAG;          
  

}
public function backupTransactionDetails($school_code,$transaction_id,$transaction_for,$delete_log_id)
{
        $FLAG=false;

       $sql="DROP TEMPORARY TABLE IF EXISTS tmp";
        $result=mysqli_query($this->conn,$sql)or die ('Error in delete temp table :'.mysqli_error($this->conn));

        if($transaction_for=='FEE')
        {
           $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM `tm_fee_payment` WHERE `school_code`='$school_code' AND `transaction_id`='$transaction_id'";
          
           $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));
        }
        else if($transaction_for=='OLD_DUE')
        {
          $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM `tm_fee_old_due_payment` WHERE `school_code`='$school_code' AND `transaction_id`='$transaction_id'";
          
           $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));
        }
        else if($transaction_for=='ACCESSORIES')
        {
          $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM `tm_accessories_to_student` WHERE `school_code`='$school_code' AND `transaction_id`='$transaction_id'";
          
           $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));
        }
            
         $sql="ALTER TABLE tmp ADD COLUMN `delete_log_id` VARCHAR(30) NOT NULL AFTER `id`";
         $result2=mysqli_query($this->conn,$sql)or die ('Error in altering temp table :'.mysqli_error($this->conn));


      if($result2)   
      {
           $sql="UPDATE tmp SET `delete_log_id`='$delete_log_id' WHERE `school_code`='$school_code'";            
           $result3=mysqli_query($this->conn,$sql)or die ('Error in updating temp table :'.mysqli_error($this->conn));             

           if(mysqli_affected_rows($this->conn)>0)   
           {
                if($transaction_for=='FEE')
                {
                   $sql="INSERT INTO `tm_backup_fee_payment` SELECT * FROM tmp WHERE `school_code`='$school_code'";
            
                  $result3=mysqli_query($this->conn,$sql)or die ('Error in inserting temp table :'.mysqli_error($this->conn));
                  if($result3)
                  {
                    $FLAG=true;
                  }
                }
                else if($transaction_for=='OLD_DUE')
                {
                     $sql="INSERT INTO `tm_backup_fee_old_due_payment` SELECT * FROM tmp WHERE `school_code`='$school_code'";
              
                    $result3=mysqli_query($this->conn,$sql)or die ('Error in inerting temp table :'.mysqli_error($this->conn));
                    if($result3)
                    {
                      $FLAG=true;
                    }
                }
                else if($transaction_for=='ACCESSORIES')
                {
                  $sql="INSERT INTO `tm_backup_accessories_to_student` SELECT * FROM tmp WHERE `school_code`='$school_code'";
              
                    $result3=mysqli_query($this->conn,$sql)or die ('Error in inserting temp table :'.mysqli_error($this->conn));
                    if($result3)
                    {
                      $FLAG=true;
                    }
                  
                }
               
           
          
            }

          
      }
   return $FLAG;          
  
  

}

public function backupTableData($school_code,$table,$backup_table,$condition,$delete_log_id)
{

      $FLAG=false;

       $sql="DROP TEMPORARY TABLE IF EXISTS tmp";
        $result=mysqli_query($this->conn,$sql)or die ('Error in delete temp table :'.mysqli_error($this->conn));
       

        $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM $table WHERE $condition";
       
          
        $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));

         $sql="ALTER TABLE tmp ADD COLUMN `delete_log_id` VARCHAR(30) NOT NULL AFTER `id`";
         $result2=mysqli_query($this->conn,$sql)or die ('Error in altering temp table :'.mysqli_error($this->conn));

      if($result2)   
      {
           //$sql="UPDATE tmp SET `id`='',`delete_log_id`='$delete_log_id' WHERE `school_code`='$school_code'";
           $sql="UPDATE tmp SET `delete_log_id`='$delete_log_id' WHERE `school_code`='$school_code'";            
           $result3=mysqli_query($this->conn,$sql)or die ('Error in updating temp table :'.mysqli_error($this->conn));
           if(mysqli_affected_rows($this->conn)>0)   
           {
                       
            }
            $sql="INSERT INTO $backup_table SELECT * FROM tmp WHERE `school_code`='$school_code'";          
            $result3=mysqli_query($this->conn,$sql)or die ('Error in inserting temp table :'.mysqli_error($this->conn));
                if($result3)
                {
                  $FLAG=true;
                }

          
      }
     
   return $FLAG;          
  

}


public function restoreTableData($school_code,$table,$restore_table,$condition,$delete_log_id)
{

      $FLAG=false;

       $sql="DROP TEMPORARY TABLE IF EXISTS tmp";
        $result=mysqli_query($this->conn,$sql)or die ('Error in delete temp table :'.mysqli_error($this->conn));
       

        $sql="CREATE TEMPORARY TABLE tmp SELECT * FROM $table WHERE $condition";
       
          
        $result=mysqli_query($this->conn,$sql)or die ('Error in creating temp table :'.mysqli_error($this->conn));

         $sql="ALTER TABLE tmp DROP  COLUMN `delete_log_id`";
         $result2=mysqli_query($this->conn,$sql)or die ('Error in altering temp table :'.mysqli_error($this->conn));

      if($result2)   
      {
           $sql="UPDATE tmp SET `id`='' WHERE `school_code`='$school_code'";            
           $result3=mysqli_query($this->conn,$sql)or die ('Error in updating temp table :'.mysqli_error($this->conn));             

           if(mysqli_affected_rows($this->conn)>0)   
           {
                $sql="INSERT INTO $restore_table SELECT * FROM tmp WHERE `school_code`='$school_code'";
          
                $result3=mysqli_query($this->conn,$sql)or die ('Error in inserting temp table :'.mysqli_error($this->conn));
                if($result3)
                {
                  $FLAG=true;
                }
           
          
            }

          
      }
     
   return $FLAG;          
  

}

  public function getExamName($exam_id,$school_code)
    {

         $sql="SELECT `exam_name` FROM `tm_exam_master` WHERE `exam_id`='$exam_id' AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  exam name : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }
        return $data[0]['exam_name'];

  }


   function getFeeReceiptNumber($table,$col_id,$school_code)
    {

       //$sql="SELECT $col_id FROM  $table WHERE $col_id=(SELECT MAX($col_id) FROM $table)";

        $sql="SELECT MAX(ExtractNumber($col_id)) As $col_id FROM $table WHERE `school_code`='$school_code'";
        //echo $sql;die;

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting unique id :'.mysqli_error($this->conn));
    
        $row = $result->fetch_assoc();
        $data[]=$row;
        //print_r($data);
        

    $id=$data[0][$col_id];   
    if($id)
    {           
            //$new_id=preg_replace('/\D/', '', $id);
            $new_id=$id+1;            
    }
    else{
        $new_id=1;
    }
    //echo $new_id;
    return $new_id;

    }

    function getNotificationSettings($setting_id,$school_code)
    {
        $sql="SELECT `notify_admin`,`notify_parents`,`notify_staff` FROM `tm_notification_settings` WHERE `school_code`='$school_code' AND `notification_setting_id`='$setting_id' AND `status`='Active'";            
           $result=mysqli_query($this->conn,$sql)or die ('Error in notification settings :'.mysqli_error($this->conn));             

        if(mysqli_affected_rows($this->conn)>0)   
        {
                
           while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
           }
          
        }
        else{
            $sql="INSERT INTO `tm_notification_settings` (`id`, `school_code`, `notification_setting_id`, `notify_admin`, `notify_parents`, `notify_staff`, `date_added`, `status`)
             VALUES (NULL, '$school_code', '$setting_id', '1', '1', '0', CURRENT_TIMESTAMP, 'Active')";
          
            $result2=mysqli_query($this->conn,$sql)or die ('Error in inserting notification settings :'.mysqli_error($this->conn));
            if($result2)
            {
                $sql="SELECT `notify_admin`,`notify_parents`,`notify_staff` FROM `tm_notification_settings` WHERE `school_code`='$school_code' AND `notification_setting_id`='$setting_id' AND `status`='Active'";            
                   $result=mysqli_query($this->conn,$sql)or die ('Error in notification settings :'.mysqli_error($this->conn));             

                if(mysqli_affected_rows($this->conn)>0)   
                {
                        
                   while ($row = $result->fetch_assoc()) {
                                $data[] = $row;
                   }
                  
                }
            }

        }

         return $data;
    }

   public function getAdmissionDefaultDeclaration($language)
    {
        $sql="SELECT `declaration` FROM `tm_admission_declaration_default` WHERE  `language`='$language' AND `status`='Active'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting default admission declaration : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }

        //echo $data[0]['declaration'];
          $default_declaration=urldecode($data[0]['declaration']);
         /// echo $default_declaration;
                 
        return $data[0]['declaration']; 
    }


    public function getFeeName($fee_id,$school_code)
    {

         $sql="SELECT `fee_name` FROM `tm_fee_applicable` WHERE `fee_id`='$fee_id' AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  fee name : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        $data[] = $row;
                 }
        return $data[0]['fee_name'];

  }
  public function getServiceFeeId($school_code,$service_id)
  {
          $sql="SELECT  `fee_id` FROM `tm_fee_applicable` WHERE `school_code`='$school_code' AND `service_id`='$service_id'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in get service fee id   : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                    
                      
                        $data[] = $row;
                 }
         return $data[0]['fee_id'];        
  }


  
}


?>