<?php

 date_default_timezone_set('Asia/Kolkata');
 class DelFunctionsCRM{
  
    private $conn;     
    // constructor
    function __construct() {
        require_once 'DB_Connect.php';
        require_once 'Automation.php';
        require_once ('Common.php');
       
        $db = new Db_Connect();
        $this->conn = $db->connect();
        mysqli_set_charset($this->conn,'utf8'); 
       
    }


    public function deleteSchool($school_code)
    {

        $FLAG=false;       
        $dependent_table=$this->getSchoolDeltDependentTables();
        for ($i=0; $i <count($dependent_table) ; $i++) { 
              $table_name=$dependent_table[$i]['table_name'];
             

              $sql="DELETE FROM $table_name WHERE `school_code` ='$school_code'";
                
       
              $result=mysqli_query($this->conn,$sql)or die ('Error in deleting school :'.mysqli_error($this->conn));
            if(mysqli_affected_rows($this->conn)>0)   
            {
            
                $FLAG=true;
            }
            
        }

        return $FLAG;

    }

   public function getSchoolDeltDependentTables()
    {
     
        $sql="SELECT `table_name` FROM `tm_dependent_school_del` WHERE `status`='Active'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  dependent table school del: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                 }
        
          return $data; 
     }

    public function deleteStudent($session_id,$school_code,$str_student_ids)
    {


        $FLAG=false;       
        $dependent_table=$this->getStudentDeltDependentTables();
        $arr_student_ids=json_decode($str_student_ids, TRUE);
        for ($index=0; $index <count($arr_student_ids) ; $index++) {           
            $student_id=$arr_student_ids[$index];
            $session_count=$this->getStudentAcademicSessionCount($student_id,$school_code);

            if($session_count=='1')
            {


              for ($i=0; $i <count($dependent_table) ; $i++) { 
              $table_name=$dependent_table[$i]['table_name'];
              $student_uniqe_id=$dependent_table[$i]['student_uniqe_id'];
                       
              $sql="DELETE FROM $table_name WHERE `school_code` ='$school_code' AND $student_uniqe_id='$student_id'";                 
                    
                  $result=mysqli_query($this->conn,$sql)or die ('Error in deleting student :'.mysqli_error($this->conn));
                  if(mysqli_affected_rows($this->conn)>0)   
                  {
                  
                      $FLAG=true;
                  }
               }
            
            
             }
            else{

              for ($i=0; $i <count($dependent_table) ; $i++) { 
              $table_name=$dependent_table[$i]['table_name'];
              $student_uniqe_id=$dependent_table[$i]['student_uniqe_id'];
              $is_session_based=$dependent_table[$i]['is_session_based'];

              if($is_session_based=='1')
              {

                  $sql="DELETE FROM $table_name WHERE `school_code` ='$school_code' AND $student_uniqe_id='$student_id' AND `session_id`='$session_id' ";                  
                    
                  $result=mysqli_query($this->conn,$sql)or die ('Error in deleting student :'.mysqli_error($this->conn));
                  if(mysqli_affected_rows($this->conn)>0)   
                  {
                  
                      $FLAG=true;
                  }

              }
             }
            }
            

        }

        
        mysqli_close($this->conn);
        return $FLAG;

    }

     public function getStudentDeltDependentTables()
    {
     
        $sql="SELECT `table_name`, `student_uniqe_id`,`is_session_based` FROM `tm_dependent_student_del` WHERE `status`='Active'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  dependent table student del: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                 }
        
          return $data; 
     }

     public function getStudentAcademicSessionCount($student_id,$school_code)
     {
        

         $sql="SELECT `session_id` FROM `tm_student_class`   WHERE `student_enrollment_no`='$student_id' AND `school_code`='$school_code'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  all academic session  count : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                       

                        $data[] = $row;
                 }
        return count($data);

    }

    public function deleteStaff($school_code,$str_staff_ids)
    {

        $FLAG=false;       
        $dependent_table=$this->getStaffDeltDependentTables();

      

        $arr_staff_ids=json_decode($str_staff_ids, TRUE);
        for ($index=0; $index <count($arr_staff_ids) ; $index++) {           
            $staff_id=$arr_staff_ids[$index];


            for ($i=0; $i <count($dependent_table) ; $i++) { 
              $table_name=$dependent_table[$i]['table_name'];
              $staff_unique_id=$dependent_table[$i]['staff_unique_id'];
             

              $sql="DELETE FROM $table_name WHERE `school_code` ='$school_code' AND $staff_unique_id='$staff_id'"; 

            
              
              $result=mysqli_query($this->conn,$sql)or die ('Error in deleting staff :'.mysqli_error($this->conn));
            if(mysqli_affected_rows($this->conn)>0)   
            {
            
                $FLAG=true;
            }
            
          }



        }

        

        return $FLAG;

    }

     public function getStaffDeltDependentTables()
    {
     
        $sql="SELECT `table_name`, `staff_unique_id` FROM `tm_dependent_staff_del` WHERE `status`='Active'";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  dependent table staff del: '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                        
                        $data[] = $row;
                 }
        
          return $data; 
     }

   
}
?>