<?php
  date_default_timezone_set('Asia/Kolkata');


class setFunctionsCRM{

    private $conn; 
   
    function __construct() {
        
    
         require_once 'DB_Connect.php';
         require_once 'getFunctions.php';
          require_once 'setFunctions.php';
         require_once 'updateFunctions.php';
        require_once 'Automation.php';
        require_once ('Common.php');
         
         //$get=new getFunctions();
        
               // connecting to database
        $db = new Db_Connect();
        $this->conn = $db->connect();
        mysqli_set_charset($this->conn,'utf8'); 
        

       
    }
        public function generateNewSchoolCode()
        {
            
                $sql="SELECT `pattern_id`,`pattern_name`,`pattern_chars`,`code_length`,`max_code`,`current_code_count` FROM `tm_school_code_pattern` WHERE `status`='Active'";
             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in getting  code pattern  : '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {
                                $data[] = $row;
                }

                $c=explode(',', $data[0]['pattern_chars']);
                $length=$data[0]['code_length'];
                $school_code=$this->generateSchoolCode($c,$length);

        }
public function generateSchoolCode($CharSet,$CodeLength) 
{ 
    $n = sizeof($CharSet);
    $k =$CodeLength; 
    $found=NULL;
    $count=0;
   // echo $k."\n";
    $found=$this->generateSchoolCodeRec($count,$found,$CharSet, "", $n,$k); 
    //echo $found."\n";
    if(!$found)
    {
        
        $k++;
        if($k<=3)
        {
             $found=$this->generateSchoolCode($CharSet,$k);
        }
    }
   
    
} 

public function generateSchoolCodeRec(&$count,&$found,$CharSet,$prefix,$n, $k) 
{ 
      
    // Base case: k is 0, 
     //print prefix
    
    if ($k == 0)  
    { 
        $sql="SELECT * FROM `tm_school_code_master` WHERE `school_code`='$prefix'";
        $result=mysqli_query($this->conn,$sql)or die ('Error in getting  school code : '.mysqli_error($this->conn));
        $num_rows = mysqli_num_rows($result);
        //echo $num_rows . '<br />';

         if ($num_rows==0) 
         {
            //$found=$prefix;
              $sql="INSERT INTO `tm_school_code_master` (`id`, `school_code`, `code_used`, `restricted`, `date_added`, `status`) VALUES (NULL, '$prefix', '0', '1', CURRENT_TIMESTAMP, 'Active')";
              $result2=mysqli_query($this->conn,$sql)or die ('Error in insert  school code : '.mysqli_error($this->conn));
              $num_rows = mysqli_num_rows($result2);
         }


        $count++;
        echo $prefix."\n"; 
        //echo $count."\n"; 
       

        return $found; 
    } 
  
    for ($i = 0; $i < $n; ++$i) 
    { 
  

    if($found!=NULL)
    {
       // echo "found".$found."\n";
        return $found;
    }
    else{
         // Next character of input added 
        $newPrefix = $prefix . $CharSet[$i]; 
       // echo $newPrefix."\n"; 
          
        // k is decreased, because  
        // we have added a new character 
        $this->generateSchoolCodeRec($count,$found,$CharSet, $newPrefix,  
                                $n, $k - 1);  

    }
       
    } 

    return $found;
}
public function initUsedSchoolCode()
{
     $sql="SELECT `school_code` FROM `tm_school_code_master` WHERE `code_used`='0'";
        $result=mysqli_query($this->conn,$sql)or die ('Error in getting  all school code : '.mysqli_error($this->conn));
          while ($row = $result->fetch_assoc()) {

              $school_code=$row['school_code'];
              echo $school_code.'  ';
              $sql="SELECT `school_code` FROM `tm_school_master` WHERE `school_code`='$school_code'";
              $result2=mysqli_query($this->conn,$sql)or die ('Error in checking  school code : '.mysqli_error($this->conn));
              $num_rows = mysqli_num_rows($result2);
              if($num_rows!=0)
              {
                    $sql="UPDATE `tm_school_code_master` SET `code_used` = '1' WHERE `school_code` ='$school_code'";
     
                    $result3=mysqli_query($this->conn,$sql)or die ('Error in update  school code   : '.mysqli_error($this->conn));
                  

              }
             
       }


}
        public function initTransport()
        {
            
            $school_code='11';

            $sql="SELECT `school_code`,`student_id`,`session_id`,`transport_fee`,`applicable_month` FROM `tm_transport_student` WHERE `school_code`='11'";
           // echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init transport: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                 $student_id=$row['student_id'];
                                 $session_id=$row['session_id'];
                                 $school_code=$row['school_code'];
                                 $transport_fee=$row['transport_fee'];
                                 $applicable_month=$row['applicable_month'];
                                 $this->initTransposrtStudent($student_id,$session_id,$transport_fee,$applicable_month,$school_code);
                                
                                 $data[] = $row;
                         }
                return $data;

        }


    public function initTransposrtStudent($student_id,$session_id,$transport_fee,$applicable_month,$school_code)
    {
         $get=new getFunctions();
         $class=$get->getClassOfStudent($student_id,$session_id,$school_code);
         $class_id=$class[0]['class_id'];
         $section_id=$class[0]['section_id'];
         $service_id='SRV001';


        $sql="SELECT * FROM `tm_student_services` WHERE `student_id`='$student_id' AND `class_id`='$class_id' AND `section_id`='$section_id' AND `session_id`='$session_id' AND `service_id`='$service_id' AND `school_code`='$school_code'";
        $result=mysqli_query($this->conn,$sql)or die ('Error in updating  student ing directory :'.mysqli_error($this->conn));
        if(mysqli_affected_rows($this->conn)==0)   
        {           
               $sql="INSERT INTO `tm_student_services` (`id`, `school_code`, `student_id`, `session_id`, `class_id`, `section_id`, `service_id`, `service_remark`, `status`, `date_added`)
           VALUES (NULL, '$school_code', '$student_id', '$session_id', '$class_id', '$section_id', '$service_id', NULL, 'Active', CURRENT_TIMESTAMP)";
        
            $result2=mysqli_query($this->conn,$sql)or die ('Error in init transport student :'.mysqli_error($this->conn));

            if($result2)
            {
                $arrApplicable_month= explode(',', $applicable_month);
                for ($i=0; $i <count($arrApplicable_month) ; $i++) { 
                     $month=$arrApplicable_month[$i];
                     $service_fee=$transport_fee;
                     $discount='0';
                     $net_service_fee=$transport_fee;

                $sql="INSERT INTO `tm_student_services_fee` (`id`, `school_code`, `student_id`, `session_id`, `class_id`, `section_id`, `service_id`, `applicable_month`, `service_fee`, `discount`, `is_discount_granted`, `net_service_fee`, `status`, `date_added`) VALUES (NULL, '$school_code', '$student_id', '$session_id', '$class_id', '$section_id', '$service_id', '$month', '$service_fee', '$discount', '0', '$net_service_fee', 'Active', CURRENT_TIMESTAMP)";
            
                $result3=mysqli_query($this->conn,$sql)or die ('Error in init transport student :'.mysqli_error($this->conn));    
                }

               
                   
            }  
        }       

        return $result;

    }


    public function updateUnmatchedClass($school_code,$session_id,$table_to_match)
    {
        $sql="SELECT a.`id`,a.`student_id`,a.`session_id`,b.`class_id`,b.`section_id` FROM $table_to_match a LEFT JOIN (SELECT * FROM `tm_student_class` WHERE `school_code` = '$school_code' AND `session_id`='$session_id') b ON a.`student_id`=b.`student_enrollment_no` WHERE a.`school_code` = '$school_code' AND a.`session_id`='$session_id' AND (a.`class_id`!=b.`class_id` || a.`section_id`!=b.`section_id`)";

        //echo $sql;
     
        $result=mysqli_query($this->conn,$sql)or die ('Error in getting  unmatched class : '.mysqli_error($this->conn));
                 
           while ($row = $result->fetch_assoc()) {

                        $id=$row['id'];
                        $class_id=$row['class_id'];
                        $section_id=$row['section_id'];
                        $student_id=$row['student_id'];
                        $student_id=$row['student_id'];
                        $this->beginUpdateUnmatchedClass($id,$student_id,$school_code,$session_id,$table_to_match,$class_id,$section_id);

                    

                        $data[] = $row;
                 }
                 
        return $data;
    }
    
    public function beginUpdateUnmatchedClass($id,$student_id,$school_code,$session_id,$table_to_match,$class_id,$section_id)
    {
         $sql="UPDATE $table_to_match SET `section_id` = '$section_id',`class_id` = '$class_id' WHERE `school_code` = '$school_code' AND `session_id`='$session_id' AND `student_id`='$student_id' AND `id`='$id'";

            $result=mysqli_query($this->conn,$sql)or die ('Error in updating unmatched class:'.mysqli_error($this->conn));
          if(mysqli_affected_rows($this->conn)>0)   
            {
            
                return true;
            }
            else{
            
                return false;
            }

    }



        public function initAttendanceStatus()
        {
            
            $school_code='11';
            $get=new getFunctions();

            $sql="SELECT DISTINCT `school_code`,`session_id`FROM `tm_student_attendence` ORDER BY `id` DESC";
           // echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $session_id=$row['session_id'];
                                $school_code=$row['school_code'];

                                $end_date=$get->getSessionEndDate($session_id,$school_code);
                                        //echo $end_date.'/';
                                $start_date=$get->getSessionStartDate($session_id,$school_code);
                                       // echo $start_date.'/';
                                 $count=$get->getNoOfMonth( $start_date,$end_date);
                                        //echo $count.'/';
                                 for ($i=0; $i <=$count ; $i++) { 

                                    $month=date("Y-m",strtotime("+$i Months,$start_date"));
                                    $month2=date("F-Y",strtotime("+$i Months,$start_date"));
                                    $this->startCopyAttendaceStatus($month,$month2,$session_id,$school_code);
                                }
                                 $data[] = $row;
                         }
                return $data;

        }

    public function startCopyAttendaceStatus($str_month,$month2,$session_id,$school_code)
    {
        $arr_month=explode('-', $str_month);
        $year=$arr_month[0];
        $month=$arr_month[1];


        $sql="SELECT `class_id`,`section_id`,`session_id` FROM `tm_student_attendence` WHERE `school_code`='$school_code' AND INSTR(`attendence_date` , '$str_month') GROUP BY `class_id` ";

                    // echo $sql;
            $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
              while ($row = $result->fetch_assoc()) {

                $class_id=$row['class_id'];
                $section_id=$row['section_id'];
                $session_id=$row['session_id'];

            
          
       
                $days=cal_days_in_month(CAL_GREGORIAN,$month,$year);
                for ($i=1; $i <=$days ; $i++) { 
                    
                    $d=strtotime("$year-$month-$i");
                    $date= date('Y-m-d',$d);
                    echo $date;
                   // $session_id=$this->getSessionByDate($date,$school_code);
                    
                    $year_month=date("Y-m",strtotime($date));
                    $year_month2=date("F-Y",strtotime($date));

                    $data=$this->getOldAttendance($class_id,$section_id,$session_id,$date,$school_code);
                    if($data)
                    {

                            $total_present=$data[0]['total_present'];
                            $total_absent=$data[0]['total_absent'];
                            $total_leave=$data[0]['total_leave'];
                            $staff_id=$data[0]['staff_id'];
                           


                            $sql="INSERT INTO `tm_student_attendance_status2` (`id`, `school_code`, `staff_id`, `class_id`, `section_id`, `session_id`, `month`, `month2`, `attendance_date`, `attendance_status`, `total_present`, `total_absent`, `total_leave`, `date_added`, `status`) 
                           VALUES (NULL, '$school_code', '$staff_id', '$class_id', '$section_id', '$session_id', '$year_month', '$year_month2', '$date','Taken', '$total_present', '$total_absent', '$total_leave', CURRENT_TIMESTAMP, 'Active')";
                          

                             $result2=mysqli_query($this->conn,$sql)or die ('Error in Add Student Attendence2 :'.mysqli_error($this->conn));
                    }
                    else{

                            $total_present='0';
                            $total_absent='0';
                            $total_leave='0';
                            $staff_id='';
                            


                            $sql="INSERT INTO `tm_student_attendance_status2` (`id`, `school_code`, `staff_id`, `class_id`, `section_id`, `session_id`, `month`, `month2`, `attendance_date`, `attendance_status`, `total_present`, `total_absent`, `total_leave`, `date_added`, `status`) 
                           VALUES (NULL, '$school_code', '$staff_id', '$class_id', '$section_id', '$session_id', '$year_month', '$year_month2', '$date','Not Taken', '$total_present', '$total_absent', '$total_leave', CURRENT_TIMESTAMP, 'Active')";
                          

                             $result2=mysqli_query($this->conn,$sql)or die ('Error in Add Student Attendence2 :'.mysqli_error($this->conn));
                    }

                     



                  
                }
         }

    }

    public function getOldAttendance($class_id,$section_id,$session_id,$date,$school_code)
    {
        $sql="SELECT `class_id`,`section_id`,`staff_id`,`session_id`,sum(Case When `attendence`= 'P' Then 1 Else 0 End) As total_present,sum(Case When `attendence`= 'A' Then 1 Else 0 End) As total_absent,sum(Case When `attendence`= 'L' Then 1 Else 0 End) As total_leave FROM `tm_student_attendence` WHERE `class_id`='$class_id' AND `section_id`='$section_id' AND `session_id`='$session_id' AND `attendence_date`='$date' AND `school_code`='$school_code' GROUP BY `class_id` ";

                    // echo $sql;
                     $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                            


                             $data[] = $row;
                     }

                     return $data;
    }

    public function initRemoveDuplicateAttendanceReport()
    {
            
            $school_code='9HP';
            $get=new getFunctions();

            $sql="SELECT DISTINCT `school_code`,`session_id` FROM `tm_student_attendance_report` WHERE `school_code`='$school_code'";
           // echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $session_id=$row['session_id'];
                                $school_code=$row['school_code'];

                               // echo $school_code.'/'.$session_id;
                                $duplicate=$this->getDuplicateAttendanceReport($session_id,$school_code);
                                if($duplicate)
                                {
                                     $row['duplicate']=$duplicate;
                                
                                     $data[] = $row;
                                }
                               
                         }
                return $data;

    }
    public function getDuplicateAttendanceReport($session_id,$school_code)
    {
      
        $sql="SELECT `id`,`student_id`,`session_id`,`class_id`,`section_id`,`month`,`month2`, COUNT(*) ,`working_days`,`present`FROM tm_student_attendance_report WHERE `school_code`='$school_code' AND `session_id`='$session_id' GROUP BY `student_id`,`session_id`,`class_id`,`section_id`,`month` HAVING COUNT(*) > 1 ";

         //echo $sql;
                     $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {
                            $id=$row['id'];

                            
                            $this->removeDuplicateAttendanceReport($id,$school_code);

                             $data[] = $row;
                    }
         // print_r($data);          
         return $data;           

    }

    public function removeDuplicateAttendanceReport($id,$school_code)
    {
        $sql="DELETE FROM tm_student_attendance_report WHERE `id`='$id' AND `school_code`='$school_code'";

                    // echo $sql;
            $result=mysqli_query($this->conn,$sql)or die ('Error in remove  attendance: '.mysqli_error($this->conn));
                         
                        

    }


    public function initRemoveDuplicateAttendance()
    {
            
            $school_code='2TE';
            $get=new getFunctions();
           // $sql="SELECT DISTINCT `school_code`,`session_id` FROM `tm_student_attendence` WHERE `school_code`='$school_code'";
            $sql="SELECT DISTINCT `school_code`,`session_id` FROM `tm_student_attendence` ORDER BY `id` DESC";
          //  echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $session_id=$row['session_id'];
                                $school_code=$row['school_code'];

                               // echo $school_code.'/'.$session_id.'</br>';
                                $duplicate=$this->getDuplicateAttendance($session_id,$school_code);
                                if($duplicate)
                                {
                                     $row['duplicate']=$duplicate;
                                
                                     $data[] = $row;
                                }
                               
                         }
                return $data;

    }
    public function getDuplicateAttendance($session_id,$school_code)
    {
        $sql="SELECT `id`,`student_enrollment_no`,`session_id`,`class_id`,`section_id`,`attendence_date`,`attendence`, COUNT(*) FROM tm_student_attendence WHERE `school_code`='$school_code' AND `session_id`='$session_id' GROUP BY `student_enrollment_no`,`session_id`,`class_id`,`section_id`,`attendence_date` HAVING COUNT(*) > 1 ";

        // echo $sql;
                     $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {
                            $id=$row['id'];

                             echo 'duplicate entry:-'.$school_code.'/'.$session_id.'</br>';
                             $this->removeDuplicateAttendance($id,$school_code);

                             $data[] = $row;
                    }
         // print_r($data);          
         return $data;           

    }

    public function removeDuplicateAttendance($id,$school_code)
    {
        $sql="DELETE FROM tm_student_attendence WHERE `id`='$id' AND `school_code`='$school_code'";

                    // echo $sql;
            $result=mysqli_query($this->conn,$sql)or die ('Error in remove  attendance: '.mysqli_error($this->conn));
                         
                        

    }


    public function initRemoveDuplicateStudentMark()
    {
            
            $school_code='81Z';
            $get=new getFunctions();

            $sql="SELECT DISTINCT `school_code`,`session_id`FROM `tm_exam_student_mark` WHERE `school_code`='$school_code'";
            // $sql="SELECT DISTINCT `school_code`,`session_id`FROM `tm_exam_student_mark` ORDER BY `id` DESC";
          //  echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $session_id=$row['session_id'];
                                $school_code=$row['school_code'];

                                //echo $school_code.'/'.$session_id;
                                $duplicate=$this->getDuplicateStudentMark($session_id,$school_code);
                                if($duplicate)
                                {
                                    echo 'Found duplicate-'.$school_code.'/'.$session_id.'</br>';
                                    $row['duplicate']=$duplicate;
                                    $data[] = $row;
                                }
                               
                                
                               
                         }
                return $data;

    }
    public function getDuplicateStudentMark($session_id,$school_code)
    {
        $sql="SELECT `id`,`exam_id`,`session_id`,`class_id`,`section_id`,`student_id`,`subject_id`,`exam_paper_id`,`obtained_mark`,`max_mark`, COUNT(*) FROM tm_exam_student_mark WHERE `school_code`='$school_code' AND `session_id`='$session_id' GROUP BY `student_id`,`session_id`,`class_id`,`section_id`,`exam_id`,`subject_id`,`exam_paper_id` HAVING COUNT(*) > 1";

        // echo $sql;
                     $result=mysqli_query($this->conn,$sql)or die ('Error in init student mark : '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {
                             $id=$row['id'];
                            
                             $this->removeDuplicateStudentMark($id,$school_code);

                             $data[] = $row;
                    }
         // print_r($data);          
         return $data;           

    }
    public function removeDuplicateStudentMark($id,$school_code)
    {
        $sql="DELETE FROM tm_exam_student_mark WHERE `id`='$id' AND `school_code`='$school_code'";

                    // echo $sql;
        $result=mysqli_query($this->conn,$sql)or die ('Error in remove  student mark: '.mysqli_error($this->conn));

        echo 'removed duplicate-'.$school_code.'/record id-'.$id.'</br>';
                         
                        

    }

    public function initRemoveUnmatchedExamPaper()
    {
            
            $school_code='81Z';
            $get=new getFunctions();

            $sql="SELECT DISTINCT `school_code`,`session_id`FROM `tm_exam_student_mark` WHERE `school_code`='$school_code'";
           // $sql="SELECT DISTINCT `school_code`,`session_id`FROM `tm_exam_student_mark` ORDER BY `id` DESC";
            //echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init attendance status: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $session_id=$row['session_id'];
                                $school_code=$row['school_code'];

                               // echo $school_code.'/'.$session_id;
                                $duplicate=$this->getUnmatchedExamPaper($session_id,$school_code);
                                if($duplicate)
                                {
                                     echo 'Found unmatched paper-'.$school_code.'/'.$session_id.'</br>';
                                    $row['duplicate']=$duplicate;
                                    $data[] = $row;
                                }
                               
                                
                               
                         }
                return $data;

    }
    public function getUnmatchedExamPaper($session_id,$school_code)
    {
        $sql="SELECT t1.`id`,t1.`exam_paper_id`,t1.`school_code`,t1.`exam_id` FROM `tm_exam_student_mark` t1 LEFT JOIN `tm_exam_paper` t2 ON t2.`exam_paper_id` = t1.`exam_paper_id` WHERE t1.`school_code`='$school_code' AND t1.`session_id`='$session_id'  AND t2.`exam_paper_id` IS NULL";

        // echo $sql;
                     $result=mysqli_query($this->conn,$sql)or die ('Error in init student mark : '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {
                             $id=$row['id'];
                            
                            $this->removeUnmatchedExamPaper($id,$school_code);

                             $data[] = $row;
                    }
         // print_r($data);          
         return $data;           

    }
    public function removeUnmatchedExamPaper($id,$school_code)
    {
        $sql="DELETE FROM tm_exam_student_mark WHERE `id`='$id' AND `school_code`='$school_code'";

                    // echo $sql;
            $result=mysqli_query($this->conn,$sql)or die ('Error in remove  student mark: '.mysqli_error($this->conn));
                         
                echo 'removed unmatched paper-'.$school_code.'/record id-'.$id.'</br>';         

    }

     public function initDeleteUnusedStudentPic()
    {
        $root=dirname(__DIR__,3);
        $root=$root.'/';
        $dir='PiZeroEduOkDocs/images/student';
        $path=$root.$dir;

        $table_name='tm_student_admission';
        $field_name='student_img_path';

        $files=$this->getDirContents($root,$dir,$path,$table_name,$field_name);
                  
                        

    }

     public function initDeleteUnusedStaffPic()
    {
        $root=dirname(__DIR__,3);
        $root=$root.'/';
        $dir='PiZeroEduOkDocs/images/staff';
        $path=$root.$dir;

        $table_name='tm_staff_master';
        $field_name='staff_image_path';

        $files=$this->getDirContents($root,$dir,$path,$table_name,$field_name);
                  
                        

    }
      public function initDeleteUnusedLogo()
    {
        $root=dirname(__DIR__,3);
        $root=$root.'/';
        $dir='PiZeroEduOkDocs/images/logo';
        $path=$root.$dir;

        $table_name='tm_school_details';
        $field_name='school_logo_path';

        $files=$this->getDirContents($root,$dir,$path,$table_name,$field_name);
                  
                        

    }

       public function initDeleteUnusedHomeworkPic()
    {
        $root=dirname(__DIR__,3);
        $root=$root.'/';
        $dir='PiZeroEduOkDocs/images/homework';
        $path=$root.$dir;

        $table_name='tm_class_homework';
        $field_name='homework_img';

        $files=$this->getDirContents($root,$dir,$path,$table_name,$field_name);
                  
                        

    }


   function getDirContents($root,$dir,$path,$table_name,$field_name) {
    $count=0;
    $count_fount=0;
    $size=0;
    $rii = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path));

    $files = array(); 
    foreach ($rii as $file)
        if (!$file->isDir())
        {
            $files[]= $file->getPathname();
            $root_path=$file->getPathname();
            $name=basename($root_path) ;
            // echo $name.'</br>';
            
            
            $image_path = str_replace($root, '', $root_path) ;
            // echo 'image_path'.$image_path.'</br>';
          

            $sql="SELECT * FROM $table_name WHERE $field_name='$image_path'";
           // echo $sql;

            unset($result);
            $result=mysqli_query($this->conn,$sql)or die ('Error in student pic: '.mysqli_error($this->conn));
            if(mysqli_num_rows($result)>0)
            {
                //echo 'found'.$image_path.'</br>';
                $count_fount++;
            }
            else{
                 echo 'not fount in db=>'.$image_path.'</br>';
                 $filesize=filesize($root_path);
                 $size=$size+$filesize;
                 //echo $filesize.'</br>';
                 $count++;

                  if (file_exists($root_path)) {
                      
                        // echo 'exist=>'.$image_path.'</br>';
                        /* unlink($root_path);
                         if (!file_exists($root_path)) {
                      
                                 echo 'deleted=>'.$image_path.'</br>';
                        
                         }*/
                   }
            }
                         
           
               
        }

         echo 'count not found:'.$count.'</br>size:'.$size.'</br>';
         echo 'count found:'.$count_fount;
    return $files;
}


       public function initDeleteUnusedAttachment()
    {
        $root=dirname(__DIR__,3);
        $root=$root.'/';
        $dir='PiZeroEduOkDocs/Attachment';
        $path=$root.$dir;

        $table_name='tm_attachment_documents';
        $field_name='document_name';

        $files=$this->getDirContentsAttachment($root,$dir,$path,$table_name,$field_name);
                  
                        

    }
  function getDirContentsAttachment($root,$dir,$path,$table_name,$field_name) {
    $count=0;
    $count_fount=0;
    $size=0;
    $rii = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path));

    $files = array(); 
    foreach ($rii as $file)
        if (!$file->isDir())
        {
            $files[]= $file->getPathname();
            $root_path=$file->getPathname();
            $name=basename($root_path) ;
            // echo $name.'</br>';
            
            
            $image_path = str_replace($root, '', $root_path) ;
            // echo 'image_path'.$image_path.'</br>';
          

            $sql="SELECT * FROM $table_name WHERE $field_name='$name'";
           // echo $sql;

            unset($result);
            $result=mysqli_query($this->conn,$sql)or die ('Error in attachment pic: '.mysqli_error($this->conn));
            if(mysqli_num_rows($result)>0)
            {
                //echo 'found'.$image_path.'</br>';
                $count_fount++;
            }
            else{
                 echo 'not fount in db=>'.$image_path.'</br>';
                 $filesize=filesize($root_path);
                 $size=$size+$filesize;
                 //echo $filesize.'</br>';
                 $count++;

                  if (file_exists($root_path)) {
                      
                        // echo 'exist=>'.$image_path.'</br>';
                        /* unlink($root_path);
                         if (!file_exists($root_path)) {
                      
                                 echo 'deleted=>'.$image_path.'</br>';
                        
                         }*/
                   }
            }
                         
           
               
        }

         echo 'count not found:'.$count.'</br>size:'.$size.'</br>';
         echo 'count found:'.$count_fount;
    return $files;
}


     public function initResizeStudentPic()
    {
        $root=dirname(__DIR__,3);
        $root=$root.'/';
        $dir='PiZeroEduOkDocs/images/student/SC_4VV';
        $path=$root.$dir;

        $files=$this->getDirContentsAndFileSize($root,$dir,$path);
                  
                        

    }

  function getDirContentsAndFileSize($root,$dir,$path) {
    $count=0;
    $count_fount=0;
    $size=0;
    $total_size=0;
    $rii = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path));

    $files = array(); 
    foreach ($rii as $file)
        if (!$file->isDir())
        {
            $files[]= $file->getPathname();
            $root_path=$file->getPathname();
            $name=basename($root_path) ;
            // echo $name.'</br>';

            $filesize=$this->filesize_formatted($root_path);
            $filesize2=filesize($root_path);
            $total_size=$total_size+$filesize2;
            // echo 'size'.$filesize2.'/'.$filesize.'</br>';
            
            
            $image_info = getimagesize($root_path);
            $image_width = $image_info[0];
            $image_height = $image_info[1];
            
            $count++;

           
            $maxfilesize = 1048576;
            if($filesize2>$maxfilesize)
            {
                 $image_path = str_replace($root, '', $root_path) ;
                 echo 'image_path'.$image_path.'</br>';
                 echo 'filesize'.$filesize.'</br>';
                 echo 'image_width'.$image_width.'</br>';
                 echo 'image_height'.$image_height.'</br>';

                 $size=$size+$filesize2;

                 $image_width_new=$image_width/2;
                 $image_height_new=$image_height/2;
                 echo 'image_width_new'.$image_width_new.'</br>';
                 echo 'image_height_new'.$image_height_new.'</br>';
                 $count_fount++;

                $d = $this->compress($root_path, $root_path, 75,$image_width_new,$image_height_new);

            }
            
              
        }
        $size_mb=$size/1048576;
        echo 'total size'.$size_mb.'</br>';

        $size_mb_all=$total_size/1048576;
        echo 'All file total size'.$size_mb_all.'</br>';
         echo 'count_fount'.$count_fount.'</br>';
        echo 'count'.$count.'</br>';
        return $files;
}

function compress($source, $destination, $quality,$width,$height) {

   
    $info = getimagesize($source);

    if ($info['mime'] == 'image/jpeg') 
        $image = imagecreatefromjpeg($source);

    elseif ($info['mime'] == 'image/gif') 
        $image = imagecreatefromgif($source);

    elseif ($info['mime'] == 'image/png') 
        $image = imagecreatefrompng($source);

    //imagejpeg($image, $destination, $quality);

    //for dimension
    $imgResized = imagescale($image , $width, $height);
    imagejpeg($imgResized, $destination);

    return $destination;
}

function filesize_formatted($path)
{
    $size = filesize($path);
    $units = array( 'B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB');
    $power = $size > 0 ? floor(log($size, 1024)) : 0;
    return number_format($size / pow(1024, $power), 2, '.', ',') . ' ' . $units[$power];
}


  public function initUnmatchedClass($session_id,$school_code)
    {
        $sql="SELECT * FROM `tm_student_services` a LEFT JOIN (SELECT * FROM `tm_student_class`  WHERE `school_code` = '1q6' AND `session_id`='SSN0003') b ON a.`student_id`=b.`student_enrollment_no` WHERE a.`school_code` = '1q6' AND a.`session_id`='SSN0003' AND (a.`class_id`!=b.`class_id` || a.`section_id`!=b.`section_id`)";

        // echo $sql;
                     $result=mysqli_query($this->conn,$sql)or die ('Error in init student mark : '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {
                             $id=$row['id'];
                            
                             //$this->removeDuplicateStudentMark($id,$school_code);

                             $data[] = $row;
                    }
         // print_r($data);          
         return $data;           

    }

public function initFeeStructure()
{
  $set=new setFunctions();

    $sql="SELECT `school_code`,`student_enrollment_no`,`class_id`,`section_id`,`session_id`,`tag_fee_structure` FROM `tm_student_class` WHERE  `school_code` IN(SELECT DISTINCT (`school_code`) FROM `tm_crm_school_product_account` WHERE `system_code`='11' AND `product_status`='2' AND `product_status_name`='Active' ) AND `tag_fee_structure` = '0' ORDER BY  `id` DESC ";

    //echo $sql;
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                    
                    $school_code=$row['school_code'];
                    $student_id=$row['student_enrollment_no'];
                    $class_id=$row['class_id'];
                    $section_id=$row['section_id'];
                    $session_id=$row['session_id'];
                    if($this->isClassFeeCreated($session_id,$class_id,$school_code))
                    {
                        $feeStructure=$set->createFeeStructure($student_id,$session_id,$class_id,$section_id,$school_code);
                        if($feeStructure)
                        {
                            echo 'created successfully-'.$student_id.'/'.$school_code.'/'.$session_id.'/'.$class_id.'</br>';
                        }
                        else{
                            echo 'not created successfully-'.$student_id.'/'.$school_code.'/'.$session_id.'/'.$class_id.'</br>';
                        }
                    }
                    else{
                         echo 'class fee not created-'.$student_id.'/'.$school_code.'/'.$session_id.'/'.$class_id.'</br>';
                    }
                  
                 
                   // $row['feeStructure']=$feeStructure;
                    $data[] = $row;
                 }
               return $data;     
}

public function isClassFeeCreated($session_id,$class_id,$school_code)
{

    $sql="SELECT `school_code` FROM `tm_class_fee` WHERE `session_id`='$session_id' AND `class_id`='$class_id' AND `school_code`='$school_code'";
   // echo $sql;
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in checking class fee : '.mysqli_error($this->conn));
         if(mysqli_num_rows($result)>0)   
          {
                return true;
          }
          else{
                return false;
          }

}
public function initFeeStructureSchoolWise($school_code)
{
  $set=new setFunctions();

    $sql="SELECT `school_code`,`student_enrollment_no`,`class_id`,`section_id`,`session_id` FROM `tm_student_class` WHERE `tag_fee_structure` = '0' AND `school_code` = '$school_code' ORDER BY  `id` DESC ";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                    
                    $school_code=$row['school_code'];
                    $student_id=$row['student_enrollment_no'];
                    $class_id=$row['class_id'];
                    $section_id=$row['section_id'];
                    $session_id=$row['session_id'];
                    
                    $feeStructure=$set->createFeeStructure($student_id,$session_id,$class_id,$section_id,$school_code);
                   if($feeStructure)
                   {
                     echo 'created successfully-'.$student_id.'/'.$school_code.'/'.$session_id.'/'.$class_id.'</br>';
                   }
                   else{
                    echo 'not created successfully-'.$student_id.'/'.$school_code.'/'.$session_id.'/'.$class_id.'</br>';
                   }
                 
                   // $row['feeStructure']=$feeStructure;
                    $data[] = $row;
                 }
               return $data;     
}

public function initClassStudentPaylist()
{
  $get=new getFunctions();

    $sql="SELECT `school_code`,`student_enrollment_no`,`class_id`,`section_id`,`session_id` FROM `tm_student_class` WHERE `tag_fee` = '0' ORDER BY  `id` DESC ";
     
         $result=mysqli_query($this->conn,$sql)or die ('Error in getting  student : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {
                    
                     $school_code=$row['school_code'];
                    $student_id=$row['student_enrollment_no'];
                    $class_id=$row['class_id'];
                    $section_id=$row['section_id'];
                    $session_id=$row['session_id'];
                     echo $student_id.'/'.$school_code.'/'.$session_id.'/'.$class_id.'</br>';
                   
                     unset($pay);
                     unset($arr);

                      $pay=$get->getStudentPayDetails($student_id,$class_id,$section_id,$session_id,$school_code);

                      print_r($pay);

                      if(isset($pay))
                      {
                        $arr=explode('#',$pay);
                        $current_due=$arr[0];
                        $total_recieved=$arr[1];
                        $total_fee=$arr[2];
                        $total_due=$arr[3];
                        $due_settlement=$arr[4];

  
                       $sql="UPDATE `tm_fee_pay_details` SET `total_fee` = `total_fee`+'$total_fee',`net_payable_fee`=`net_payable_fee`+'$total_fee',`total_due`=`total_due`+ $total_due,`current_due`=`current_due`+ $current_due,`total_paid`=`total_paid`+$total_recieved,`total_settled`=`total_settled`+$due_settlement WHERE `school_code`='$school_code' AND `student_id`='$student_id' AND `session_id`='$session_id' AND `class_id`='$class_id' AND `section_id`='$section_id'";

                   // echo $sql;
                
                       $result2=mysqli_query($this->conn,$sql)or die ('Error in updating fee pay details:'.mysqli_error($this->conn));  
                       if(mysqli_affected_rows($this->conn)==0)   
                        {
                             $sql="INSERT INTO `tm_fee_pay_details` (`id`, `school_code`, `student_id`, `session_id`, `class_id`, `section_id`, `total_fee`, `discount`, `net_payable_fee`, `total_due`, `current_due`, `total_paid`, `total_settled`, `date_added`, `status`) 
                            VALUES (NULL, '$school_code', '$student_id', '$session_id', '$class_id', '$section_id', '$total_fee', '0', '$total_fee', '$total_due', '$current_due', '$total_recieved', '$due_settlement', CURRENT_TIMESTAMP, 'Active')";

                            //echo $sql;


                            $result3=mysqli_query($this->conn,$sql)or die ('Error in insert fee pay details:'.mysqli_error($this->conn));
                        
                        }
                        
                      }


                    $sql="UPDATE `tm_student_class` SET `tag_fee` = '1' WHERE  `school_code`='$school_code' AND `student_enrollment_no`='$student_id' AND `session_id`='$session_id' AND `class_id`='$class_id' AND `section_id`='$section_id'";

                   // echo $sql;
                
                       $result4=mysqli_query($this->conn,$sql)or die ('Error in updating tag_fee:'.mysqli_error($this->conn)); 

            
                   $data[] = $row;
                 }
               return $data;     
       }

    public function initUploadStudentFee()
    {
            
            $school_code='11';
            $get=new getFunctions();

            $sql="SELECT `id`, `school_code`, `session_id`, `student_name`, `student_id`, `class_id`, `section_id`, `staff_id`, `paid_amount`, `payment_mode`, `collection_date`, `transaction_for`, `final_upload`, `date_added`, `status` FROM `tm_upload_student_fee` WHERE `school_code`='$school_code' AND `final_upload`='0' AND `status`='Active'";
          //  echo $sql;

             
            $result=mysqli_query($this->conn,$sql)or die ('Error in init upload student fee: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $student_id=$row['student_id'];
                                $session_id=$row['session_id'];                            
                                $class_id=$row['class_id'];
                                $section_id=$row['section_id'];
                                $staff_id=$row['staff_id'];
                                $payment_mode=$row['payment_mode'];
                              
                                $collection_date=$row['collection_date'];
                                $transaction_for=$row['transaction_for'];
                                $paid_amount=$row['paid_amount'];
                                $school_code=$row['school_code'];

                                $feeDetails=$get->getStudentFeeDetails($student_id,$class_id,$session_id,$school_code);

                                 $this-> UploadStudentFee($student_id,$session_id,$class_id,$section_id,$staff_id,$payment_mode,$collection_date,$feeDetails,$paid_amount,$school_code);

                                
                               
                                //$data[] = $row; 
                               
                         }
               return $data;
}

    public function UploadStudentFee($student_id,$session_id,$class_id,$section_id,$staff_id,$payment_mode,$collection_date,$feeDetails,$paid_amount,$school_code)
    {
        $set=new setFunctions();
        $mDueFee=$this->getDueList($feeDetails);
        $mSelectedDue=[];
        $current_due=0;
        $amount=$paid_amount;

        for ($i=0; $i <count($mDueFee) ; $i++) {
             $adjustable_amt=0;
             $mApplicableFee=[];
            if($paid_amount>0) 
            {
                  $mApplicableFee=$mDueFee[$i]['applicable_fee'];
                  $subtotal=$this->getSubtotalOfOutstandingAmount($mApplicableFee);
                  //print_r($mApplicableFee);
                 // echo "subtotal".$subtotal;
                if($paid_amount>=$subtotal)
                {
                    $adjustable_amt=$subtotal;

                }
                else {
                    $adjustable_amt=$paid_amount;
                }
                $paid_amount=$paid_amount-$adjustable_amt;
                $mDueFee[$i]['isChecked']='true';

               


              for ($j=0; $j <count($mApplicableFee) ; $j++) { 
               $outstanding=$mApplicableFee[$j]['outstanding'];
               if($adjustable_amt>0)
               {
                    if($adjustable_amt>=$outstanding)
                    {
                        $mApplicableFee[$j]['isChecked']='true';
                        $mApplicableFee[$j]['payable_amount']=$outstanding;
                        $adjustable_amt=$adjustable_amt-$outstanding;

                    }
                    else{
                        $mApplicableFee[$j]['isChecked']='true';
                        $mApplicableFee[$j]['payable_amount']=$adjustable_amt;
                        $adjustable_amt=$adjustable_amt-$adjustable_amt;
                    }
               }
               else{
                 $mApplicableFee[$j]['isChecked']='false';
                 }

                 }
                $mDueFee[$i]['applicable_fee']=$mApplicableFee;

                 $mSelectedDue[]= $mDueFee[$i];
            }
            else{
                $mDueFee[$i]['isChecked']='false';
            }
            $mApplicableFee=$mDueFee[$i]['applicable_fee'];
            $subtotal2=$this->getSubtotalOfOutstandingAmount($mApplicableFee);
            $current_due=$current_due+$subtotal2;


        }
        // print_r($mDueFee);
        //echo json_encode($mSelectedDue);
        $remark="CSV";
        $fee_details=$mSelectedDue;
       // echo $fee_details;
        $data=$set->submitStudentFeeDetails($student_id,$class_id,$section_id,$session_id,$staff_id,$fee_details,$remark,$collection_date,$payment_mode,$amount,$current_due,$school_code);

        if($data)
        {
            $sql="UPDATE `tm_upload_student_fee` SET `final_upload` = '1' WHERE `student_id`='$student_id' AND `class_id`='$class_id' AND `section_id`='$section_id' AND `session_id`='$session_id' AND `paid_amount`='$amount' AND `school_code`='$school_code'";
                                                  
                $result3=mysqli_query($this->conn,$sql)or die ('Error in updating fee upload :'.mysqli_error($this->conn)); 
                 if(mysqli_affected_rows($this->conn)>0)   
                 {
            
                    echo "successfully uploaded-".$student_id.'-amount-'.$amount;
                    echo '</br>';
                 }
                 else{
                     echo "successfully uploaded(tag failed)-".$student_id.'-amount-'.$amount;
                     echo '</br>';
                 }
                
        }
        else{

        }
       
    }

   public function getDueList($mDueList)
   {
       
        for ($i=(count($mDueList)-1); $i>=0 ; $i--) { 
            $FLAG_REMOVE='false';
            $mApplicableFee=[];
            $mApplicableFee=$mDueList[$i]['applicable_fee'];
            for ($j=(count($mApplicableFee)-1); $j>=0 ; $j--) {
                if(!($mApplicableFee[$j]['payment_status']=='Due') && !($mApplicableFee[$j]['payment_status']=='Not Paid') ) 
                {
                   
                    array_splice($mApplicableFee, $j, 1);
                    $FLAG_REMOVE='true';
                }
               
            }
           /* echo json_encode($mApplicableFee);
            echo '</br>';
            echo '</br>';
            echo '</br>';*/

            if($FLAG_REMOVE=='true')
            {
                    if(count($mApplicableFee)!=0)
                    {
                        $mDueList[$i]['applicable_fee']=$mApplicableFee;
                    }
                    else{
                      
                        array_splice($mDueList, $i, 1);
                    }
            }

            
        }
        return $mDueList;
   }
    public function getSubtotalOfOutstandingAmount($mApplicableFee)
    {
           $amt=0;
            for ($i=0; $i <count($mApplicableFee) ; $i++) { 
                $amt=$amt+$mApplicableFee[$i]['outstanding'];
                
            }
            return  $amt;
    }


    public function initUploadTransportStudent()
    {
            
            $school_code='799';
            $set=new setFunctions();

            $sql="SELECT `school_code`,`session_id`,`student_name`,`student_id`,`class_id`,`section_id`,`staff_id`,`vehicle_id`,`route_id`,`pickup_point_id`,`pickup_point_name`,`pickup_time`, `transport_fee`,`applicable_month`,`service_id`,`final_upload` FROM `tm_upload_transport_student` WHERE `school_code`='$school_code' AND `final_upload`='0' AND `status`='Active'";
          //  echo $sql;

             
            $result=mysqli_query($this->conn,$sql)or die ('Error in init upload transport student : '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                $student_id=$row['student_id'];
                                $session_id=$row['session_id'];                            
                                $class_id=$row['class_id'];
                                $section_id=$row['section_id'];
                                $staff_id=$row['staff_id'];
                                $vehicle_id=$row['vehicle_id'];
                              
                                $route_id=$row['route_id'];
                                $pickup_point_id=$row['pickup_point_id'];
                                $pickup_point_name=$row['pickup_point_name'];

                                $pickup_time=$row['pickup_time'];
                                $transport_fee=$row['transport_fee'];
                                $applicable_month=$row['applicable_month'];
                                $service_id=$row['service_id'];
                                $school_code=$row['school_code'];

                                $pickup_round_id="";
                                $concession_granted="No";

                                $Transport=$set->addTransportStudent($staff_id,$student_id,$session_id,$class_id,$section_id,$vehicle_id,$pickup_round_id,$route_id,$pickup_point_id,$pickup_point_name,$pickup_time,$transport_fee,$concession_granted,$applicable_month,$service_id,$school_code);

                               if($Transport)
                               {
                                    $sql="UPDATE `tm_upload_transport_student` SET `final_upload` = '1' WHERE `student_id`='$student_id' AND `class_id`='$class_id' AND `section_id`='$section_id' AND `session_id`='$session_id'  AND `school_code`='$school_code'";
                                                  
                                      $result3=mysqli_query($this->conn,$sql)or die ('Error in updating transport upload :'.mysqli_error($this->conn)); 
                                     if(mysqli_affected_rows($this->conn)>0)   
                                     {
                                
                                        echo "successfully uploaded-".$student_id;
                                        echo '</br>';
                                     }
                                     else{
                                         echo "successfully uploaded(tag failed)-".$student_id;
                                         echo '</br>';
                                     }
                
                               }

                               
                               
                               
                         }
               return $data;
}




public function initFeeNameUpdate()
{
            
            $fee_id='FEE036';

            $sql="SELECT `school_code`,`fee_id`,`fee_name`,`fee_type`,`service_id`,`is_special_fee` FROM `tm_fee_applicable3` WHERE `fee_id`='$fee_id'";
           // echo $sql;

             
                 $result=mysqli_query($this->conn,$sql)or die ('Error in init fee nane: '.mysqli_error($this->conn));
                         
                         while ($row = $result->fetch_assoc()) {

                                 $fee_id=$row['fee_id'];
                                 $fee_name=$row['fee_name'];
                                 $school_code=$row['school_code'];
                                 echo 'data=>'.$school_code.'>>'.$fee_id.'=='.$fee_name.'</br>';

                                // $this->updateFeeNameOnce($fee_id,$fee_name,$school_code);



                                
                                
                                // $data[] = $row;
                         }
                return $data;

}
public function updateFeeNameOnce($fee_id,$fee_name,$school_code)
{

            $sql="UPDATE `tm_fee_applicable2` SET `fee_name` = '$fee_name' WHERE `fee_id`='$fee_id' AND `school_code`='$school_code' AND `fee_type` != 'VAS'";
             //echo $sql;

            unset($result);
            $result=mysqli_query($this->conn,$sql)or die ('Error in fee name : '.mysqli_error($this->conn));
            if(mysqli_affected_rows($this->conn)>0)
            {
                 echo 'updated=>'.$school_code.'=='.$fee_id.'=='.$fee_name.'</br>';
                
            }
            else{
                echo 'not updated=>'.$school_code.'=='.$fee_id.'=='.$fee_name.'</br>';
            }
}

//*****************************************************************************************
//*********************Restore start**************************************
 public function restoreDeletedExam()
    {
        $common=new Common();
        
        $FLAG_B1=false;
        $FLAG_F1=false;

    

        $dependent_table=$this->getExamDependentTable();
        mysqli_query("START TRANSACTION");

        /*$delete_log_id="DLT0237";
        $school_code="2X1";
        $exam_id="EXM2369";
*/

        if($delete_log_id)
        {
            for ($i=0; $i <count($dependent_table) ; $i++) { 
                # code...
            
            $restore_table=$dependent_table[$i]['table_name'];
            $backup_table=$dependent_table[$i]['backup_table'];
            $condition= '`'.'school_code'.'` = '.'\''.$school_code.'\''.' AND '.'`'.'exam_id'.'` = '.'\''.$exam_id.'\''.' AND '.'`'.'delete_log_id'.'` = '.'\''.$delete_log_id.'\'';
           // echo $condition;
           // $b1=$common->restoreTableData($school_code,$backup_table,$restore_table,$condition,$delete_log_id);
            if($b1)
            {
                $FLAG_B1=true;
               
               
            }
            }
                                      
        }
        if ($FLAG_B1) {
            mysqli_query("COMMIT");

        
            return true;

        } else {        
            mysqli_query("ROLLBACK");
            return false;
        }

    
    }

    public function getExamDependentTable()
    {

        $sql="SELECT `table_name`,`backup_table`, `table_caption`,`exam_unique_id` FROM `tm_dependent_exam_del` WHERE `status`='Active'";
     
        $result=mysqli_query($this->conn,$sql)or die ('Error in getting  dependent table exam : '.mysqli_error($this->conn));
                 
                 while ($row = $result->fetch_assoc()) {

                        $data[] = $row;
                 }
        
          return $data; 

        

     }


     public function restoreExamPaper()
    {
        $common=new Common();
        
        

       /* $delete_log_id="DLT0197";
        $school_code="3YV";
        $exam_id="EXM1335";
        $exam_paper_id="EPR16749";*/



        if($delete_log_id)
        {
            $restore_table='tm_exam_paper';
            $backup_table='tm_backup_exam_paper';
            $condition= '`'.'school_code'.'` = '.'\''.$school_code.'\''.' AND '.'`'.'exam_paper_id'.'` = '.'\''.$exam_paper_id.'\''.' AND '.'`'.'exam_id'.'` = '.'\''.$exam_id.'\''.' AND '.'`'.'delete_log_id'.'` = '.'\''.$delete_log_id.'\'';
           // echo $condition;
           // $b1=$common->restoreTableData($school_code,$backup_table,$restore_table,$condition,$delete_log_id);

            $restore_table='tm_exam_student_mark';
            $backup_table='tm_backup_exam_student_mark';
            $condition= '`'.'school_code'.'` = '.'\''.$school_code.'\''.' AND '.'`'.'exam_paper_id'.'` = '.'\''.$exam_paper_id.'\''.' AND '.'`'.'exam_id'.'` = '.'\''.$exam_id.'\''.' AND '.'`'.'delete_log_id'.'` = '.'\''.$delete_log_id.'\'';
           // echo $condition;
           // $b2=$common->restoreTableData($school_code,$backup_table,$restore_table,$condition,$delete_log_id);

            
                                      
        }
        if ($b1 && $b2) {
            mysqli_query("COMMIT");
           
            return true;

        } else {        
            mysqli_query("ROLLBACK");
            return false;
        }

    
    }


//*********************Restore end**************************************



    public function registerAdminFirebaseTokenId($admin_id,$token,$device_id)
    {
       
        $sql="UPDATE  `tm_admin_master` SET  `firebase_id` =  '$token' , `device_id`='$device_id' WHERE `admin_id`='$admin_id'";

        //echo $sql;

            $result=mysqli_query($this->conn,$sql)or die ('Error in updating firebase token id:'.mysqli_error($this->conn));
          if(mysqli_affected_rows($this->conn)>0)   
            {
            
                return true;
            }
            else{
            
                return false;
            }

    }

    public function AddNewQuery($sender_id,$query,$query_to,$query_type,$parent_query_id,$school_code)
    {


        $auto= new Automation();
        $common=new Common();
        $get=new getFunctions();
        $session_id=$get->getCurrentSession($school_code);
        $table='tm_school_query';
        $col_id='query_id';
        $UniqueId=$common->getUniqueId_No_Hyphen($table,$col_id);
        $query_id='QR'.str_pad($UniqueId, 4,'0',STR_PAD_LEFT);

            $sql="INSERT INTO `tm_school_query` (`id`,`school_code`, `session_id`, `query_id`,`parent_query_id`, `sender_id`, `query`, `query_to`, `query_type`, `date_added`, `status`) 
            VALUES (NULL,'$school_code', '$session_id', '$query_id','$parent_query_id','$sender_id', '$query', '$query_to', '$query_type', CURRENT_TIMESTAMP, 'Active')";
        
            $result=mysqli_query($this->conn,$sql)or die ('Error in adding new query :'.mysqli_error($this->conn));

        if($result)
        {
                if($parent_query_id=='0')
                {
                
                  $auto->NotifyNewQueryRegistration($school_code);   
                }
                else{
                    $auto->NotifyQueryReply($sender_id,$parent_query_id,$school_code);
                    $auto->NotifyQueryReplyEduOKAdmin($sender_id);
                }
               
        }  

        return $result;

    }

    public function addCrmNotification($strRecipient,$message,$title,$sender_id,$notification_type,$school_code)
    {
    
        $common=new Common();
        $get=new getFunctions();
        $session_id=$get->getCurrentSession($school_code);
        $table='tm_crm_notification_master';
        $col_id='notification_id';
        $UniqueId=$common->getUniqueId_No_Hyphen($table,$col_id);
        $notification_id='NTF'.str_pad($UniqueId, 8,'0',STR_PAD_LEFT);

       
        $arrRecipient = json_decode($strRecipient, TRUE);
        for ($i=0; $i <count($arrRecipient) ; $i++) { 
        
            $recipient=$arrRecipient[$i];

            $sql="INSERT INTO `tm_crm_notification_master` (`id`,`school_code`, `notification_id`,`notification_type`,`sender_id`,`session_id`, `recipient_id`, `notification_title`,`notification`, `date_added`, `status`) 
            VALUES (NULL,'$school_code','$notification_id','$notification_type','$sender_id','$session_id', '$recipient','$title', '$message',CURRENT_TIMESTAMP, 'Active')";
            
        $result=mysqli_query($this->conn,$sql)or die ('Error in adding crm notification :'.mysqli_error($this->conn));

        }

        return $result;
}
public function addCrmSchoolNotification($strRecipient,$message,$title,$sender_id,$notification_type,$strSchool_code)
{
    
        $common=new Common();
        $get=new getFunctions();
        
        $table='tm_crm_school_notification_master';
        $col_id='notification_id';
        $UniqueId=$common->getUniqueId_No_Hyphen($table,$col_id);
        
        $notification_id='NTF'.str_pad($UniqueId, 8,'0',STR_PAD_LEFT);
        
        $arrSchool_code=explode(',', $strSchool_code);
        for ($i=0; $i <count($arrSchool_code) ; $i++) { 
        
            $school_code=$arrSchool_code[$i];
            
            $session_id=$get->getCurrentSession($school_code);
           
            $sql="INSERT INTO `tm_crm_school_notification_master` (`id`,`school_code`, `notification_id`,`notification_type`,`sender_id`,`session_id`, `recipient_id`, `notification_title`,`notification`, `date_added`, `status`) 
            VALUES (NULL,'$school_code','$notification_id','$notification_type','$sender_id','$session_id', '$strRecipient','$title', '$message',CURRENT_TIMESTAMP, 'Active')";
            //echo $sql;
            
        $result=mysqli_query($this->conn,$sql)or die ('Error in adding crm school notification :'.mysqli_error($this->conn));

        }

        return $notification_id;
}

public function addCrmSchoolNotificationTrackData($notification_id,$school_code,$recipient_id,$recipient_type,$success,$failure,$error,$message_id)
{

         $sql="INSERT INTO `tm_crm_notification_track` (`id`, `school_code`, `notification_id`, `recipient_id`, `success`, `failure`, `error`, `message_id`, `recipient_type`, `date_added`, `status`)
          VALUES (NULL, '$school_code', '$notification_id', '$recipient_id', '$success', '$failure', '$error', '$message_id', '$recipient_type', CURRENT_TIMESTAMP, 'Active')";
            //echo $sql;
            
        $result=mysqli_query($this->conn,$sql)or die ('Error in adding crm school notification track data:'.mysqli_error($this->conn));

        return $result;
}


}
?>