<?php
  date_default_timezone_set('Asia/Kolkata');


class setFunctionsLMS{

    private $conn; 
   
    function __construct() {
        
    
         require_once 'DB_Connect.php';
         require_once 'getFunctions.php';
         require_once 'updateFunctions.php';
        require_once 'Automation.php';
        require_once ('Common.php');
         
         //$get=new getFunctions();
        
               // connecting to database
        $db = new Db_Connect();
        $this->conn = $db->connect();
        mysqli_set_charset($this->conn,'utf8'); 
        

       
    }
    public function AddNewQuestion($staff_id,$session_id,$is_eduok_official,$question_type_id,$class_standard_id,$subject_id,$chapter_id,$chapter_name,$topic_id,$topic_name,$question,$solution_description,$reference_url,$level,$str_options,$school_code)
    {

            $TYPE_MCQ="QSNT01";
           
            if(empty($chapter_id) && !empty($chapter_name))
            {
                 $common=new Common();
                 $table='lm_class_subject_chapter';
                 $col_id='chapter_id';
                 $UniqueId=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);               
                 $chapter_id='CH'.str_pad($UniqueId, 4,'0',STR_PAD_LEFT);
                 $sql2="INSERT INTO `lm_class_subject_chapter` (`id`, `school_code`, `session_id`, `chapter_id`, `class_id`, `subject_id`, `chapter_name`, `date_added`, `status`) 
                 VALUES (NULL, '$school_code', '$session_id', '$chapter_id', '$class_standard_id', '$subject_id', '$chapter_name', CURRENT_TIMESTAMP, 'Active')";               
        
               $result2=mysqli_query($this->conn,$sql2)or die ('Error in adding chapter  :'.mysqli_error($this->conn));
            }
            if(empty($topic_id) && !empty($topic_name))
            {
                 $common=new Common();
                 $table='lm_class_subject_topic';
                 $col_id='topic_id';
                 $UniqueId=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);               
                 $topic_id='TPC'.str_pad($UniqueId, 4,'0',STR_PAD_LEFT);
                 $sql3="INSERT INTO `lm_class_subject_topic` (`id`, `school_code`, `topic_id`, `session_id`, `chapter_id`, `topic_name`, `date_added`, `status`) VALUES (NULL, '$school_code', '$topic_id', '$session_id', '$chapter_id', '$topic_name', CURRENT_TIMESTAMP, 'Active')";               
        
               $result3=mysqli_query($this->conn,$sql3)or die ('Error in adding day book party  :'.mysqli_error($this->conn));
            }
           
            if($question_type_id==$TYPE_MCQ)
            {
                     $common=new Common();
                     $table='lm_question_bank';
                     $col_id='question_id';
                     $UniqueId=$common->getUniqueId_No_Hyphen($table,$col_id);               
                     $question_id='Q'.str_pad($UniqueId, 4,'0',STR_PAD_LEFT);     

                    $sql="INSERT INTO `lm_question_bank` (`id`, `school_code`, `is_eduok_official`, `session_id`, `staff_id`, `question_id`, `parent_question_id`, `having_sub_question`, `question_type_id`, `image_directory`, `direction`, `direction_image`, `question`, `question_image`, `solution_description`, `solution_description_image`, `reference_url`, `subject_id`, `chapter_id`, `topic_id`, `level`, `class_standard_id`, `checked`, `checked_by`, `checked_date`, `status`, `date_time`) 
                       VALUES (NULL, '$school_code', '$is_eduok_official', '$session_id', '$staff_id', '$question_id', '0', '0', '$question_type_id', NULL, '', NULL, '$question', NULL, '$solution_description', NULL, '$reference_url', '$subject_id', '$chapter_id', '$topic_id', '$level', '$class_standard_id', '0', '', CURRENT_TIMESTAMP, 'Active', CURRENT_TIMESTAMP)";
                    
                    
                     $result=mysqli_query($this->conn,$sql)or die ('Error in adding new  question :'.mysqli_error($this->conn));      
                   
                    if($result)
                    {
                         $arrOptions = json_decode($str_options, TRUE);

                        $common=new Common();
                        for ($i=0; $i <count($arrOptions) ; $i++) { 
        
                               
                                 $option_caption=$arrOptions[$i]['option_caption'];
                                 $option=$arrOptions[$i]['option'];
                                 $is_right_option=$arrOptions[$i]['is_right_option'];
                                 $table='lm_question_part_mcq';
                                 $col_id='option_id';
                                 $UniqueId=$common->getQuestionOptionId($table,$col_id,$school_code,$question_id);               
                                 $option_id='OPT'.str_pad($UniqueId, 2,'0',STR_PAD_LEFT);
                                 $sql4="INSERT INTO `lm_question_part_mcq` (`id`, `school_code`, `question_id`, `image_directory`, `option_id`, `option_caption`, `option`, `option_image`, `is_right_option`, `status`, `date_time`) 
                                 VALUES (NULL, '$school_code', '$question_id', NULL, '$option_id', '$option_caption', '$option', NULL, '$is_right_option', 'Active', CURRENT_TIMESTAMP)";               
                        
                               $result4=mysqli_query($this->conn,$sql4)or die ('Error in adding question option  :'.mysqli_error($this->conn));
                    }

                  }
                    return $result4;
            }     
            
             
 
    }


    
    public function createLiveClass($MEETING_NUMBER,$START_URL,$JOIN_URL,$user_id,$staff_id,$session_id,$class_id,$section_id,$subject_id,$topic,$description,$live_class_type,$class_duration,$password,$start_date,$school_code)
    {

        $topic=addcslashes($topic, "'");
        $description=addcslashes($description, "'");

        $common=new Common();       
        $auto=new Automation();   

        $subject_name=$common->getSubjectName($subject_id,$school_code);
        $title="Live Class";
        $message="A new Live Class of Topic ".$topic." of subject :".$subject_name." of class :".$common->getClassName($class_id,$session_id,$school_code)." is created by staff ".$common->getStaffName($staff_id);     
        $sender_id="System";
        $notification_type="Automation";
        $click_action="lms.ParentsLiveClassActivity";
        $recipient=$class_id.'#'.$section_id;


        $table='tm_school_live_class';
        $col_id='live_class_id';
        $UniqueId=$common->getUniqueId_No_Hyphen($table,$col_id);   
        $live_class_id='LC'.str_pad($UniqueId, 4,'0',STR_PAD_LEFT);

            $sql="INSERT INTO `tm_school_live_class` (`id`, `school_code`, `live_class_id`, `staff_id`, `user_id`, `session_id`, `class_id`, `section_id`, `subject_id`, `meeting_number`,`join_url`,`start_url`, `live_class_type`, `topic`, `description`, `class_duration`, `password`, `start_date`, `class_status_code`, `class_status`, `date_added`, `status`)
             VALUES (NULL, '$school_code', '$live_class_id', '$staff_id','$user_id', '$session_id', '$class_id', '$section_id', '$subject_id', '$MEETING_NUMBER', '$JOIN_URL','$START_URL', '$live_class_type', '$topic', '$description', '$class_duration', '$password', '$start_date', '1', 'waiting', CURRENT_TIMESTAMP, 'Active')";
            
            $result=mysqli_query($this->conn,$sql)or die ('Error in creating live class :'.mysqli_error($this->conn)); 

            if($result)
            {
                
                $auto->sendNotificationToStudent($recipient,$title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code);
               
            }

        return $result;

    }




}
?>