<?php
date_default_timezone_set('Asia/Kolkata');

 class setFunctionsParents{
    
       
    
    private $conn;
   
       
    // constructor
    function __construct() {
        require_once 'DB_Connect.php';
         require_once 'Automation.php';
        require_once 'getFunctionsParents.php';
        require_once 'getFunctions.php';
        require_once ('Common.php');
       
        $db = new Db_Connect();
        $this->conn = $db->connect();
        mysqli_set_charset($this->conn,'utf8'); 
       
    }
    
    public function registerStudentFirebaseTokenId($enrollment_no,$token,$device_id,$school_code)
    {

        $sql="SELECT `device_id` FROM `tm_student_firebase_token` WHERE `student_enrollment_no`='$enrollment_no' AND `device_id` ='$device_id'";

        $result=mysqli_query($this->conn,$sql)or die ('Error in getting device id :'.mysqli_error($this->conn));
         $num_rows = mysqli_num_rows($result);
    
        if($num_rows!==0)
        {
           

            $sql="UPDATE  `tm_student_firebase_token` SET  `firebase_id` =  '$token' WHERE  `student_enrollment_no` ='$enrollment_no' AND `device_id` ='$device_id'";

            $result2=mysqli_query($this->conn,$sql)or die ('Error in updating firebase teken id :'.mysqli_error($this->conn));

            return $result2;
        }
        else{

            $sql="INSERT INTO `tm_student_firebase_token` (`id`, `school_code`, `student_enrollment_no`, `device_id`, `firebase_id`, `date_added`) 
            VALUES (NULL,'$school_code','$enrollment_no', '$device_id', '$token', CURRENT_TIMESTAMP);";

            $result3=mysqli_query($this->conn,$sql)or die ('Error in registering firebase teken id :'.mysqli_error($this->conn));

            return $result3;
        }

        

    }
    


public function clearStudentFirebaseTokenId($enrollment_no,$device_id)
    {
        $sql="UPDATE  `tm_student_firebase_token` SET  `firebase_id` =  '' WHERE  `student_enrollment_no` ='$enrollment_no' AND `device_id` ='$device_id'";

        $result=mysqli_query($this->conn,$sql)or die ('Error in clearing firebase teken id :'.mysqli_error($this->conn));
        if(mysqli_affected_rows($this->conn)>0)   
            {           
                return true;
            }
            else{           
                return false;
            }

    }

    public function registerLeave($applicant_id,$applicant_type,$authority,$subject,$leave_start_date,$leave_end_date,$application_content,$school_code)
    {

        $auto=new Automation();
        $common=new Common();
        $get=new getFunctions();
        $session_id=$get->getCurrentSession($school_code);
        $table='tm_leave_master';
        $col_id='application_id';
        $UniqueId=$common->getUniqueId_No_Hyphen($table,$col_id);
        $application_id='LA'.str_pad($UniqueId,5,'0',STR_PAD_LEFT);

            
            $sql="INSERT INTO `tm_leave_master` (`id`,`school_code`, `application_id`, `applicant_id`,`applicant_type`, `leave_start_date`, `leave_end_date`, `authority`, `subject`, `application_content`, `session_id`, `date_added`, `status`)
             VALUES (NULL,'$school_code', '$application_id', '$applicant_id','$applicant_type', '$leave_start_date', '$leave_end_date', '$authority', '$subject', '$application_content', '$session_id', CURRENT_TIMESTAMP, '1')";
            $result=mysqli_query($this->conn,$sql)or die ('Error in registering leave :'.mysqli_error($this->conn));

        
        if($result)
        {
            
            if($applicant_type=="Student")
            {
                $student_name=$get->getStudentName($applicant_id);
                $message ='New Application for leave is registered from student '.$student_name;
            }
            else{
                $staff_name=$get->getStaffName($applicant_id);
                $message ='New Application for leave is registered from staff '.$staff_name;
            }
            $title ="Leave Application";
            $sender_id="System";
            $notification_type="Automation";
            $click_action="admin.LeaveManagementAdminActivity";
            $auto->sendNotificationToAdmin($title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code);  
            
        }
        

        return $result;

    }
    public function addComment($sender_id,$comment,$comment_for,$comment_type,$parent_comment_id,$school_code)
    {


        $student_id=$sender_id;
        $auto= new Automation();
        $common=new Common();
        $get=new getFunctions();
        $session_id=$get->getCurrentSession($school_code);
        $table='tm_comments';
        $col_id='comment_id';
        $UniqueId=$common->getUniqueId_No_Hyphen2($table,$col_id,$school_code);
        $comment_id='CMNT'.str_pad($UniqueId, 4,'0',STR_PAD_LEFT);

            $sql="INSERT INTO `tm_comments` (`id`,`school_code`, `session_id`, `comment_id`,`parent_comment_id`, `sender_id`, `comment`, `comment_for`, `comment_type`, `date_added`, `status`) 
            VALUES (NULL,'$school_code', '$session_id', '$comment_id','$parent_comment_id','$sender_id', '$comment', '$comment_for', '$comment_type', CURRENT_TIMESTAMP, 'Active')";
        
            $result=mysqli_query($this->conn,$sql)or die ('Error in adding comment :'.mysqli_error($this->conn));

        if($result)
        {
               $common=new Common();
                if($parent_comment_id=='0')
                {
                    $title="New Comment";
                    $message="New comment is added from ".$common->getStudentName($sender_id);
                    $sender_id="System";
                    $notification_type="Automation";
                    $click_action="cms.CommentActivity";
                    $auto->sendNotificationToAdmin($title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code);  
                   
                }
                else{
                    
                    $title="Comment Reply";
                    $message="New Comment Reply is added from staff ".$get->getStaffName($sender_id);
                    $sender_id="System";
                    $notification_type="Automation";
                    $click_action="parents.ParentsCommentsActivity";
                    $student_id=$common->getCommentReplyRecipientId($parent_comment_id);
                    $auto->sendNotificationToStudent($student_id,$title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code);
                   
                }
               
        }  

        

        return $result;

    }




}
?>