<?php

     require_once (dirname(__FILE__).'/includes/Cors.php');
    $cors=new Cors();
    $cors->EnableCors();
    
    // Enabling error reporting
        error_reporting(-1);
        ini_set('display_errors', 'On');

    require_once (dirname(__FILE__).'/includes/setFunctions.php');
    require_once (dirname(__FILE__).'/includes/getFunctions.php');
    require_once (dirname(__FILE__).'/includes/firebase.php');
    require_once (dirname(__FILE__).'/includes/push.php');
    require_once (dirname(__FILE__).'/includes/Common.php');
    require_once (dirname(__FILE__).'/includes/Automation.php');
   
    $dbget=new getFunctions();
    $dbset=new setFunctions();

    $firebase = new Firebase();
    $push = new Push();
    $common=new Common();
    $auto=new Automation();
   
        // optional payload
        $payload = array();
        $payload['team'] = 'techmetrica.com';
        $payload['city'] = 'noida';
 
        // notification title
        $title = isset($_GET['title']) ? $_GET['title'] : '';
        $message = isset($_GET['message']) ? $_GET['message'] : '';
        $recipient=$_GET['recipient'];
        $staff_id=$_GET['staff_id'];
        $department=$_GET['department'];
        $session_id=$_GET['session_id'];
        $school_code=$_GET['school_code'];

        $message=urldecode($message);
        $title=urldecode($title);
        $department=urldecode($department);
       /* echo $title;
        echo $message;
        echo $enrollment_no;die;*/
        // push type - single user / topic
        $response = array("api_status" => "ERROR");
        $push_type = isset($_GET['push_type']) ? $_GET['push_type'] : '';
         
        // whether to include to image or not
        $include_image = isset($_GET['include_image']) ? TRUE : FALSE;

        $push->setTitle($title);
        $push->setMessage($message);
        if ($include_image) {
            //$push->setImage('https://api.androidhive.info/images/minion.jpg');
        } else {
            $push->setImage('');
        }
        $push->setIsBackground(FALSE);
        $push->setPayload($payload);
        $click_action="parents.ParentsNotificationActivity";
        $push->setClickAction($click_action);
 
 
        $json = '';
        $res = '';
        $json = $push->getPush();
        //print_r($json);
        $notification_type="Manual";
        $sender_id=$staff_id;


        $table='tm_notification_master';
        $col_id='notification_bucket_id';
        $notification_bucket_id=$common->getUniqueId_No_Hyphen($table,$col_id);
        $notification_bucket_caption=$message;
       
        $data=$dbset->addNotification($session_id,$recipient,$message,$title,$sender_id,$department,$notification_type,$notification_bucket_id,$notification_bucket_caption,$school_code);
        if($data)
        {

            $response["api_status"] = "OK";
            $response["Response"] =$data; 
            echo json_encode($response);

        

            $regId =$dbget->getFirebaseTokenId($recipient,$school_code);
           // print_r($regId);
            $res = $firebase->sendMultiple($regId, $json);
           // print_r($res);

            //notify to admin
             $common=new Common();
            $title="App Notification";
            $message="New App Notification is added successfully by staff ".$common->getStaffName($staff_id);
            //echo $message;
            $sender_id="System";
            $notification_type="Automation";
            $click_action="cms.NotificationActivity";
           
            $auto->sendNotificationToAdmin($title,$message,$sender_id,$notification_type,$click_action,$session_id,$school_code);
            
           
           
        }
        else{

            $response["api_status"] = "ERROR";
            $response["api_remark"] = "Problem in sending message !!!";
            echo json_encode($response);
        }
       
 /*
        if ($push_type == 'topic') {
            $json = $push->getPush();
            $response = $firebase->sendToTopic('global', $json);
        } else if ($push_type == 'individual') {
            
        }*/
 
   

?>